**Swagger** - Это фреймворк для спецификации RESTful API. С его помощью можно удобно отправлять запросы на сервер.

  Web интерфейс Swagger доступен после старта проекта и аутентификации под определенным юзером
по адресу: http://localhost:8080/loyalty-portal/api/swagger-ui/#/ 

Кратко по работе со Swagger:
  После запуска проекта перейдя по адресу: http://localhost:8080/loyalty-portal/api/swagger-ui/#/ 
Загрузится веб интерфейс Swagger. Нам будет доступен контроллер для аутентификации auth-controller
с помощью которого мы можем отправить запрос типа JwtRequest, содержащий два строковых поля:
login и password на сервер (нажать try it out -> вместо string подставить значения -> execute).
При успешной аутентификации получаем ответ типа JwtResponse содержащий сгенерированный токен
(начинается c accessToken: ).
  Для его добавления в header при каждом последующем запросе
нужно скопировать его значение без кавычек, нажать Authorize (кнопка с замочком) ->
вставить значение в поле value -> Authorize (замочек поменяет значение на закрытый).
Для тестирования работы методов контроллера выбираем нужный -> try it out -> вводим необходимые
данные -> execute.

**Postman** - Это инструмент тестирования API с помошью HTTP запросов.

  После запуска проекта перейдите в приложение Postman. Там сверху(слева от синей кнопки "Send") есть поле
для ввода URI по которому вы хотите отправить запрос. Еще чуть левее можно выбрать тип запроса(Get, Post, Put и т.д.).
  Чуть ниже расположены вкладки (Params, Authorization, Headers, Body и т.п.). 
  Что бы авторизироваться, отправьте
POST-запрос на URI http://localhost:8080/loyalty-portal/api/login. Во вкладке "Body" введите login и password.
При успешной авторизации вы получите ответ в котором будет accessToken. Во вкладке "Authorization" чуть левее выберите
тип авторизации "Bearer Token" и скопируйте ваш токен в поле "Token" чуть правее. Теперь вы можете посылать запросы 
от имени конкретного пользователя.