package ru.loylabs.portal.config.async.properties;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;


@Getter
@Setter
@ConfigurationProperties(prefix = "spring.async.executors-config.listeners")
public class ListenersAsyncProperties implements AsyncProperties {

    private int corePoolSize;
    private int maxPoolSize;
    private int queueCapacity;
    private String prefix;
}
