package ru.loylabs.portal.entity;

import lombok.*;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.UUID;

@Embeddable
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class PersonSkillId implements Serializable {

    @Column(name = "person_id")
    private UUID personId;
    @Column(name = "skill_id")
    private UUID skillId;
}
