package ru.loylabs.portal.entity.audit;


import lombok.Getter;
import lombok.Setter;
import ru.loylabs.portal.entity.Person;

import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

@Entity
@Table(name = "person_audit")
@Getter
@Setter
public class PersonAudit extends AuditEntityBase {

	@OneToOne
	@JoinColumn(name = "person_id", referencedColumnName = "id")
	private Person person;

	@Override
	public Person getEntity() {
		return person;
	}

	@Override
	public void setEntity(Auditable<?> auditable) {
		this.person = (Person) auditable;
	}
}
