package ru.loylabs.portal.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CredentialPermissionGroup {

	IDEA("Идея", "Идея"),
	COMMUNITY("Группа", "Группа"),
	FEED("Лента", "Лента"),
	PERSON("Сотрудник", "Сотрудник"),
	KB("База знаний", "База знаний"),
	ACHIEVEMENT("Цель", "Цель"),
	TASK("Задача", "Задача"),
	REACTION("Реакция", "Реакция"),
	DEPARTMENT("Департамент", "Департамент"),
	TITLE("Должность", "Должность"),
	STORY("История", "История"),
	BUG_REPORT("Баг-репорт", "Баг-репорт"),
	SETTINGS("Настройки", "Настройки"),
	ROLE("Роль", "Роль"),
	NOTIFICATION("Оповещения", "Оповещения"),
	CALENDAR("Календарь", "Календарь"),
	NOTE("Заметка", "Заметка"),
	FILE("Файл", "Файл"),
	COMMENT("Комментарии", "Комментарии"),
	GENERAL("Общий", "Общий"),
	GRADE("Грэйд", "Грэйд"),
	SKILL("Навык", "Навык"),
	STATUS("Статус", "Статус"),
	REVIEW("Ревью", "Ревью");

	private final String name;

	private final String description;
}
