package ru.loylabs.portal.enums;

import static ru.loylabs.portal.utility.StringUtils.isInvalid;

public enum Gender {
	MALE,
	FEMALE;

	public static Gender fromString(String gender) {
		return isInvalid(gender) ? MALE : Gender.valueOf(gender.trim().toUpperCase());
	}
}
