package ru.loylabs.portal.mapper;

import org.mapstruct.*;
import ru.loylabs.portal.entity.Community;
import ru.loylabs.portal.entity.CommunityPersonRole;
import ru.loylabs.portal.entity.Person;
import ru.loylabs.portal.enums.CommunityRole;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface CommunityPersonRoleMapper {
	@Mapping(target = "id", ignore = true)
	CommunityPersonRole toEntity(Community community, Person person, CommunityRole communityRole);
}
