package ru.loylabs.portal.mapper;

import org.mapstruct.*;
import ru.loylabs.portal.entity.Emoji;
import ru.loylabs.portal.entity.EmojiPerson;
import ru.loylabs.portal.entity.Person;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface EmojiPersonMapper {
	@Mapping(target = "id", ignore = true)
	EmojiPerson toEntity(Person person, Emoji emoji);
}