package ru.loylabs.portal.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.NullValuePropertyMappingStrategy;
import ru.loylabs.portal.entity.SecurityPermission;
import ru.loylabs.portal.presentation.view.SecurityPermissionView;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface SecurityPermissionMapper {

	SecurityPermissionView toView(SecurityPermission permission);

}
