package ru.loylabs.portal.presentation.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CreateCommunityRequest {
	@NotBlank
	@Size(max = 60)
	private String name;
	@NotNull
	@Size(max = 300)
	private String description;
	@NotNull
	private Boolean privateCommunity;
}
