package ru.loylabs.portal.presentation.request;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CreateJobRequest {

	@NotNull
	@Size(max = 100)
	String department;

	@NotNull
	@Size(max = 150)
	String title;

	@Size(max = 60)
	String grade;

}
