package ru.loylabs.portal.presentation.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import ru.loylabs.portal.presentation.request.validation.NotBlankIfPresent;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Size;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CreateKbSectionRequest {
    @NotBlankIfPresent
    @Size(max = 150)
    private String name;
}
