package ru.loylabs.portal.presentation.request;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

import lombok.Data;

@Data
public class CreatePersonFromYandexRequest {

	@NotBlank
	@Email(regexp = ".*@loylabs\\.ru")
	@Size(max = 150)
	private String email;

}
