package ru.loylabs.portal.presentation.request;

import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import ru.loylabs.portal.enums.StoryGroupType;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CreateStoryGroupRequest {
	@NotNull
	@Builder.Default
	private Boolean pinned = false;
	@Builder.Default
	private StoryGroupType groupType = StoryGroupType.ADMIN;
	@Valid List<CreateStoryRequest> requests;
}
