package ru.loylabs.portal.presentation.request;

import lombok.Data;
import ru.loylabs.portal.enums.TaskStatus;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.PositiveOrZero;

@Data
public class UpdateTaskSequenceStatusRequest {
	@PositiveOrZero(message = "The sequence cannot be negative")
	private Integer sequence;
	@NotNull
	private TaskStatus status;

}
