package ru.loylabs.portal.presentation.view;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Value;

import java.util.List;

@Value
public class PersonWithoutJobView {
	String id;
	String name;
	String surname;
	String patronymic;
	String dob;
	String gender;
	SecurityRoleView role;
	CityView city;
	String description;
	String hired;
	String fired;
	Boolean blocked;
	String externalUserId;
	@JsonInclude(JsonInclude.Include.NON_NULL)
	ContactView contact;
	AttachmentView avatar;
	AttachmentView background;
	List<PersonSkillView> skills;
}
