package ru.loylabs.portal.presentation.view;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Getter;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Getter
@SuperBuilder
public abstract class RecordView {
	private final String id;
	private final PersonView author;
	private final String date;
	private final String content;
	private final ReactionView reaction;
	private final boolean modified;
	@JsonInclude(JsonInclude.Include.NON_NULL)
	private final List<AttachmentView> attachments;
}
