package ru.loylabs.portal.presentation.view;

import java.util.List;
import lombok.Value;

@Value
public class SecurityRoleView {

	String id;

	String role;

	String name;

	String description;

	// TODO 2023-10-16: Very heavy JSON on obtaining all roles, with just default 3 >2500 lines. Either make getting
	//                  permissions for roles a separate endpoint with group filtering, or return only IDs/codes.
	//                  Uncomment or remove.
//	List<SecurityPermissionView> permissions;

	boolean isMutable;

}
