package ru.loylabs.portal.presentation.view;

import lombok.EqualsAndHashCode;
import lombok.Value;
import lombok.experimental.SuperBuilder;

import java.time.Instant;
import java.util.List;


@EqualsAndHashCode(callSuper = true)
@Value
@SuperBuilder
public class TaskView extends RecordView {
	String header;
	String status;
	Instant modifyAt;
	PersonView modifyBy;
	int sequence;
	List<PersonView> observers;
	List<TaskTagView> tags;
}
