package ru.loylabs.portal.presentation.view.common;

import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class FailResponse extends BaseStatusResponse {

	private Integer errorCode;
	private String errorMessage;

	public FailResponse(String errorMessage) {
		setStatus(STATUS_FAIL);
		this.errorMessage = errorMessage;
	}

	public FailResponse(Integer errorCode, String message) {
		setStatus(STATUS_FAIL);
		this.errorCode = errorCode;
		this.errorMessage = message;
	}

}
