package ru.loylabs.portal.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.Contact;

import java.util.UUID;

public interface ContactRepository extends JpaRepository<Contact, UUID> {
	boolean existsByPhone(String phone);

	boolean existsByEmail(String email);

	boolean existsByTelegram(String telegram);

	boolean existsBySkype(String skype);

	boolean existsByLinkedin(String linkedin);

	boolean existsByGithub(String github);

	boolean existsByVk(String vk);

	boolean existsByInstagram(String instagram);
}
