package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.Emoji;

import java.util.Optional;
import java.util.UUID;

public interface EmojiRepository extends JpaRepository<Emoji, UUID> {
	Optional<Emoji> findByReactionIdAndSmileId(UUID reactionId, UUID SmileId);

	Page<Emoji> findAll(Specification<Emoji> specification, Pageable pageable);
}