package ru.loylabs.portal.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import ru.loylabs.portal.entity.PersonSkill;
import ru.loylabs.portal.entity.PersonSkillId;

import java.util.List;
import java.util.UUID;

public interface PersonSkillRepository extends JpaRepository<PersonSkill, PersonSkillId> {
    @Query("SELECT s FROM PersonSkill s WHERE s.grade.id = ?1")
    List<PersonSkill> findAllByGradeId(UUID id);
}