package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.loylabs.portal.entity.ReviewPersonSkill;

import java.time.LocalDate;
import java.util.List;
import java.util.UUID;

@Repository
public interface ReviewPersonSkillRepository extends JpaRepository<ReviewPersonSkill, UUID> {
	Page<ReviewPersonSkill> findAllByOwnerId(UUID ownerId, Pageable pageable);

	Page<ReviewPersonSkill> findAllByReviewersReviewerId(UUID id, Pageable pageable);

	List<ReviewPersonSkill> findAllByEndReview(LocalDate endReview);
}
