package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.Skill;

import java.util.Optional;
import java.util.UUID;

public interface SkillRepository extends JpaRepository<Skill, UUID> {

	Page<Skill> findAll(Specification<Skill> specification, Pageable pageable);

	Optional<Skill> findByNameIgnoreCase(String name);

	int deleteSkillById(UUID id);
}
