package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.loylabs.portal.entity.Smile;

import java.util.UUID;

@Repository
public interface SmileRepository extends JpaRepository<Smile, UUID> {

	Page<Smile> findAll(Specification<Smile> specification, Pageable pageable);
}