package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.TaskTag;

import java.util.Optional;
import java.util.UUID;

public interface TaskTagRepository extends JpaRepository<TaskTag, UUID> {

	Page<TaskTag> findAll(Specification<TaskTag> specification, Pageable pageable);

	Optional<TaskTag> findByIdAndAchievementId(UUID id,UUID achievementId);

	int deleteByIdAndAchievementId(UUID id, UUID achievementId);
}
