package ru.loylabs.portal.repository.redis;

import org.springframework.data.repository.NoRepositoryBean;

import java.util.Set;
import java.util.UUID;

@NoRepositoryBean
public interface OnlineStatusRepository {
	Set<UUID> getAll();

	void save(String sessionId, UUID personId);

	void delete(String sessionId);
}
