package ru.loylabs.portal.repository.redis;

import java.util.Optional;
import java.util.UUID;
import org.springframework.data.repository.NoRepositoryBean;

@NoRepositoryBean
public interface PasswordResetTokenRepository {

	Optional<UUID> get(String token);

	void save(String token, UUID personId);

	void delete(String token);

}
