package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.config.jwt.JwtRequest;
import ru.loylabs.portal.config.jwt.JwtResponse;

public interface AuthService {

	JwtResponse login(JwtRequest authRequest);

	JwtResponse loginViaToken(String loginToken);

	JwtResponse refresh(String refreshToken);

	JwtResponse updateRefreshToken(String refreshToken);

}
