package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.Grade;
import ru.loylabs.portal.presentation.request.CreateGradeRequest;
import ru.loylabs.portal.presentation.request.UpdateGradeRequest;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface GradeService {
    Grade getGrade(UUID id);

    Page<Grade> getAllGrade(int page, int size, String sort, SearchReversePolishNotation criteria);

    Grade createGrade(CreateGradeRequest request);

    Grade updateGrade(UUID id, UpdateGradeRequest request);

    void deleteGrade(UUID idGrade);
}