package ru.loylabs.portal.service.interfaces;

import java.util.Collection;
import java.util.List;
import java.util.UUID;
import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.SecurityPermission;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

public interface SecurityPermissionService {

	SecurityPermission getPermissionById(UUID id);

	SecurityPermission getPermissionByName(String name);

	List<SecurityPermission> findByRoleId(UUID roleId);

	List<SecurityPermission> getAll();

	Page<SecurityPermission> getAllPermissions(int page, int size, String sort, SearchReversePolishNotation criteria);

}
