package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.Skill;
import ru.loylabs.portal.presentation.request.CreateSkillRequest;
import ru.loylabs.portal.presentation.request.UpdateSkillRequest;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface SkillService {

	Page<Skill> getAllSkill(int page, int size, String sort, SearchReversePolishNotation criteria);

	Skill getSkillById(UUID id);

	Skill createSkill(CreateSkillRequest request);

	Skill updateSkill(UUID id, UpdateSkillRequest request);

	void deleteSkill(UUID id);
}
