package ru.loylabs.portal.service.interfaces;

import org.springframework.web.multipart.MultipartFile;
import ru.loylabs.portal.entity.Person;
import ru.loylabs.portal.entity.Story;
import ru.loylabs.portal.entity.StoryGroup;
import ru.loylabs.portal.presentation.request.CreateStoryRequest;
import ru.loylabs.portal.presentation.request.UpdateStoryRequest;

public interface StoryAdapter {
	Story createStory(CreateStoryRequest request, StoryGroup group, Person author, MultipartFile file);

	Story updateStory(UpdateStoryRequest request, Story story);
}
