package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.Person;
import ru.loylabs.portal.entity.Record;
import ru.loylabs.portal.entity.Task;
import ru.loylabs.portal.enums.RecordType;
import ru.loylabs.portal.enums.TaskStatus;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface TaskRailService {

	Page<Record> getAllRecordInTaskRail(Integer page, Integer size, String sort, SearchReversePolishNotation criteria, UUID parentId, RecordType parentType);

	Record createRecordTaskStatusUpdate(Person author, Task task, TaskStatus oldStatus);
}
