package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.Title;
import ru.loylabs.portal.presentation.request.CreateTitleRequest;
import ru.loylabs.portal.presentation.request.UpdateTitleRequest;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface TitleService {

	Page<Title> getAllTitle(int page, int size, String sort, SearchReversePolishNotation criteria);

	Title getTitleById(UUID id);

	Title createTitle(CreateTitleRequest request);

	Title updateTitle(UUID id, UpdateTitleRequest request);

	void deleteTitle(UUID id);
}
