insert into settings_tag(id, tag, code, description)
values ('dbad61cb-c289-45c6-9c92-9f27a83935bb', '%task_status', 'TASK_STATUS',
        'Статус задачи | e.g. уведомление о изменении статуса');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('ccf1b7bd-40c2-4cad-99d7-46ddb84d55d8', '2023-10-22 15:49:44.000', 'ACHIEVEMENT_NEW', 'New achievement',
        '%author_surname %author_name добавил(а) вам новую цель: %achievement_name')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('ACHIEVEMENT_NEW', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('ACHIEVEMENT_NEW', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('ACHIEVEMENT_NEW', 'b0d31846-c0b9-4def-b544-379b551a0912');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('e9d3a852-ddf0-4794-8361-e2dc79042cb0', '2023-10-22 15:49:44.000', 'ACHIEVEMENT_CONFIRMED',
        'Achievement confirmed',
        '%author_surname %author_name подтвердил(а) выполнение цели "%achievement_name"')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('ACHIEVEMENT_CONFIRMED', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('ACHIEVEMENT_CONFIRMED', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('ACHIEVEMENT_CONFIRMED', 'b0d31846-c0b9-4def-b544-379b551a0912');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('b57933a4-0b48-4288-81ee-9370026e6651', '2023-10-22 15:49:44.000', 'TASK_NEW', 'New task for the achievement',
        '%author_surname %author_name добавил(а) для вашей цели "%achievement_name" новую задачу: %task_name')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_NEW', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('TASK_NEW', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('TASK_NEW', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_NEW', 'b188b7b0-fd72-490e-ae60-172203a5958c');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('a050e085-013d-419c-aafd-5b6a11641841', '2023-10-22 15:49:44.000', 'TASK_DONE', 'Task done',
        '%author_surname %author_name завершил(а) задачу "%task_name" для достижения цели "%achievement_name"')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_DONE', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('TASK_DONE', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('TASK_DONE', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_DONE', 'b188b7b0-fd72-490e-ae60-172203a5958c');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('be4b03bb-60d3-44a3-90a8-9a6bed0d4d95', '2023-10-22 15:49:44.000', 'TASK_APPOINTMENT_OBSERVER',
        'You have been appointed as an observer',
        '%author_surname %author_name назначил(а) вас наблюдателем задачи "%task_name" в цели "%achievement_name" у пользователя %target_surname %target_name')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_APPOINTMENT_OBSERVER', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('TASK_APPOINTMENT_OBSERVER', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('TASK_APPOINTMENT_OBSERVER', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_APPOINTMENT_OBSERVER', 'b188b7b0-fd72-490e-ae60-172203a5958c'),
       ('TASK_APPOINTMENT_OBSERVER', 'eb6d34dd-3d62-4cd4-a791-a3e8a8c1f308'),
       ('TASK_APPOINTMENT_OBSERVER', 'ddea44ef-67ee-4825-a6fc-f5dacc35b3f4');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('c52cc8b4-1dc1-41ef-ad0f-a03dd7d15e72', '2023-10-22 15:49:44.000', 'TASK_STATUS_UPDATE', 'Task status update',
        '%author_surname %author_name изменил(а) статус задачи "%task_name" на "%task_status" для цели "%achievement_name"')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_STATUS_UPDATE', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('TASK_STATUS_UPDATE', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('TASK_STATUS_UPDATE', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_STATUS_UPDATE', 'dbad61cb-c289-45c6-9c92-9f27a83935bb'),
       ('TASK_STATUS_UPDATE', 'b188b7b0-fd72-490e-ae60-172203a5958c');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('02011fb5-13db-4ff3-9577-8736295e0d29', '2023-10-22 15:49:44.000', 'TASK_OBSERVED_STATUS_UPDATE', 'Task status update',
        'Изменен статус на "%task_status" у наблюдаемой задачи "%task_name" для цели "%achievement_name" у пользователя %target_surname %target_name')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_OBSERVED_STATUS_UPDATE', 'dbad61cb-c289-45c6-9c92-9f27a83935bb'),
       ('TASK_OBSERVED_STATUS_UPDATE', 'eb6d34dd-3d62-4cd4-a791-a3e8a8c1f308'),
       ('TASK_OBSERVED_STATUS_UPDATE', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_OBSERVED_STATUS_UPDATE', 'b188b7b0-fd72-490e-ae60-172203a5958c'),
       ('TASK_OBSERVED_STATUS_UPDATE', 'ddea44ef-67ee-4825-a6fc-f5dacc35b3f4');

insert into bell_notification_settings(id, creation_date, notification_type, header, content)
values ('a4ff1baa-b442-43c9-93ce-16d27443fed2', '2023-10-22 15:49:44.000', 'TASK_COMMENT', 'Task comment',
        '%author_surname %author_name прокомментировал(а) задачу "%task_name" к цели цели "%achievement_name": %record_content')
on conflict do nothing;

insert into bell_notification_allowed_tags(notification_type, tag_id)
VALUES ('TASK_COMMENT', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('TASK_COMMENT', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('TASK_COMMENT', 'c5a280a9-5196-44b4-89e9-de8c83505b33'),
       ('TASK_COMMENT', 'b0d31846-c0b9-4def-b544-379b551a0912'),
       ('TASK_COMMENT', 'b188b7b0-fd72-490e-ae60-172203a5958c');

