
-- ACHIEVEMENTS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('1a826ac7-af4e-40db-8035-0da982f3192a', 'ACHIEVEMENT_READ', 'Получение всех целей', 'Получение всех целей', 'ACHIEVEMENT'),
('fd275af3-f5c6-4663-af82-69655adf1aa2', 'ACHIEVEMENT_READ_OWN', 'Получение своих и наблюдаемых целей', 'Получение своих и наблюдаемых целей', 'ACHIEVEMENT'),
('3ffcdf4f-ef05-468d-a4ca-dc60f0898771', 'ACHIEVEMENT_WRITE', 'Изменение всех целей', 'Создание, обновление и удаление всех целей', 'ACHIEVEMENT'),
('a9efd527-a2cb-4a71-b8b5-e6c3df0594dd', 'ACHIEVEMENT_WRITE_OWN', 'Изменение своих и наблюдаемых целей', 'Создание, обновление и удаление своих и наблюдаемых целей', 'ACHIEVEMENT'),
('196c578e-6175-407f-80ed-db04051ed9ad', 'ACHIEVEMENT_APPROVAL', 'Принятие/отклонение целей', 'Принятие/отклонение целей', 'ACHIEVEMENT'),
('69d10c4d-06fd-4855-9189-82ac890372cf', 'ACHIEVEMENT_ARCHIVE', 'Архивирование своих целей', 'Архивирование своих целей', 'ACHIEVEMENT'),
('89716e55-48c1-4dcb-9d31-5993223b9646', 'ACHIEVEMENT_UNARCHIVE', 'Разархивирование целей', 'Разархивирование целей', 'ACHIEVEMENT');

-- COMMENT
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('4c211070-4359-47da-a05d-34bd0c7f60c9', 'COMMENT_READ_ATTACHMENT', 'Получение приложений комментария', 'Получение приложений комментария', 'COMMENT'),
('615811c9-54d5-454f-9ee7-c0c00eaac72f', 'COMMENT_WRITE_ATTACHMENT', 'Изменение всех приложений комментария', 'Создание, обновление и удаление всех приложений комментария', 'COMMENT'),
('06d7a070-e413-4a50-8a51-12afcec85f3d', 'COMMENT_WRITE_OWN_ATTACHMENT', 'Изменение своих приложений комментария', 'Создание, обновление и удаление своих приложений комментария', 'COMMENT');

-- BUG_REPORT
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('1df81a6f-d014-4ef5-b74f-71ee17f7382b', 'BUG_REPORT_READ', 'Получение баг-репортов', 'Получение баг-репортов', 'BUG_REPORT'),
('5f53fb90-31d1-48b9-abb2-348361ed8076', 'BUG_REPORT_WRITE', 'Изменение баг-репортов', 'Создание, обновление и удаление баг-репортов', 'BUG_REPORT'),
('ae10256e-be03-44e7-a0a4-0b3530874b7b', 'BUG_REPORT_READ_COMMENT', 'Получение комментариев баг-репорта', 'Получение комментариев баг-репорта', 'BUG_REPORT'),
('8ff8527d-015c-468e-8fdb-560935b26b15', 'BUG_REPORT_WRITE_COMMENT', 'Изменение всех комментариев баг-репорта', 'Создание, обновление и удаление всех комментариев баг-репорта', 'BUG_REPORT'),
('039cac75-b898-4712-b2df-e8103104596e', 'BUG_REPORT_WRITE_OWN_COMMENT', 'Изменение своих комментариев баг-репорта', 'Создание, обновление и удаление своих комментариев баг-репорта', 'BUG_REPORT'),
('fd3802c6-4a5d-4271-8f55-6cdc899c3093', 'BUG_REPORT_READ_ATTACHMENT', 'Получение приложений баг-репорта', 'Получение приложений баг-репорта', 'BUG_REPORT'),
('11d7795b-8846-4cf1-b08a-b61330b9cbbc', 'BUG_REPORT_WRITE_ATTACHMENT', 'Изменение всех приложений баг-репорта', 'Создание, обновление и удаление всех приложений баг-репорта', 'BUG_REPORT'),
('7ed85898-18f1-4b35-944b-79c9e564f2d7', 'BUG_REPORT_WRITE_OWN_ATTACHMENT', 'Изменение своих приложений баг-репорта', 'Создание, обновление и удаление своих приложений баг-репорта', 'BUG_REPORT');

-- CALENDAR
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('f2d8d22a-a6d3-4c13-a102-83074a26d1a7', 'CALENDAR_READ_WORKING', 'Получение рабочего календаря', 'Получение рабочего календаря', 'CALENDAR'),
('6a89f778-e19a-4d88-9fb4-247b76d31e1f', 'CALENDAR_READ_CORPORATE', 'Получение корпоративного календаря', 'Получение корпоративного календаря', 'CALENDAR'),
('1aa615f2-fc79-4cc2-93f1-35b91c1968d2', 'CALENDAR_WRITE_CORPORATE', 'Изменение корпоративного календаря', 'Создание, обновление и удаление корпоративного календаря', 'CALENDAR'),
('4c0ff956-7483-4d1d-adb9-930462290064', 'CALENDAR_READ_YANDEX', 'Получение Яндекс-календаря', 'Получение Яндекс-календаря', 'CALENDAR'),
('d6739fc1-5780-446d-8d87-e85dff6bb5a2', 'CALENDAR_WRITE_YANDEX', 'Изменение Яндекс-календаря', 'Создание, обновление и удаление Яндекс-календаря', 'CALENDAR');

-- DEPARTMENT
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('c0e07fdf-80e2-4734-b98e-c25615c74b25', 'DEPARTMENT_READ', 'Получение департаментов', 'Получение департаментов', 'DEPARTMENT'),
('14fb62aa-abad-4a6c-84c4-8c19a7ee77f3', 'DEPARTMENT_WRITE', 'Изменение департаментов', 'Создание, обновление и удаление департаментов', 'DEPARTMENT');

-- FEED
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('be56b8ff-26c3-4e52-b178-47277ac5b386', 'FEED_READ', 'Получение записей ленты', 'Получение записей ленты', 'FEED'),
('168cd266-78fd-4afa-b7ce-9bd725b3ed48', 'FEED_CREATE_GENERAL', 'Создание обычных записей ленты', 'Создание обычных записей ленты', 'FEED'),
('96c1b37c-e0ea-4925-9be5-36e99cb94145', 'FEED_CREATE_IMPORTANT', 'Создание важных записей ленты', 'Создание важных записей ленты', 'FEED'),
('dbfcac33-7d11-4ab5-a947-89641bc01943', 'FEED_MODIFY', 'Изменение всех записей ленты', 'Обновление и удаление всех записей ленты', 'FEED'),
('6ac0e222-1c30-4b8b-8411-93b53b8ebb30', 'FEED_MODIFY_OWN', 'Изменение своих записей ленты', 'Обновление и удаление обычных записей ленты', 'FEED'),
('6e50fe62-8e25-47b7-996a-7d36f4b86637', 'FEED_READ_COMMENT', 'Получение комментариев записи ленты', 'Получение комментариев записи ленты', 'FEED'),
('48f8063c-ba85-4c13-bd2b-61e7be0deb79', 'FEED_WRITE_COMMENT', 'Изменение всех комментариев записи ленты', 'Создание, обновление и удаление всех комментариев записи ленты', 'FEED'),
('b9f941e5-8d98-4e55-b296-f1f4e159b7e5', 'FEED_WRITE_OWN_COMMENT', 'Изменение своих комментариев записи ленты', 'Создание, обновление и удаление своих комментариев записи ленты', 'FEED'),
('4f362606-5ee3-49f3-b99b-28eb7964d88f', 'FEED_READ_ATTACHMENT', 'Получение приложений записи ленты', 'Получение приложений записи ленты', 'FEED'),
('ecacd505-ea7c-4597-b778-8bd188f27913', 'FEED_WRITE_ATTACHMENT', 'Изменение всех приложений записи ленты', 'Создание, обновление и удаление всех приложений записи ленты', 'FEED'),
('ea280089-e952-4606-8e12-8981fa699e9d', 'FEED_WRITE_OWN_ATTACHMENT', 'Изменение своих приложений записи ленты', 'Создание, обновление и удаление своих приложений записи ленты', 'FEED');

-- FILES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('7dc99252-5538-4899-befc-e0430011ab59', 'FILE_READ', 'Получение файлов', 'Получение пути файла', 'FILE'),
('9761c041-2061-4c88-90e7-eaacf63a9045', 'FILE_WRITE', 'Изменение файлов', 'Изменение пути файла, загрузка файла', 'FILE');

-- COMMUNITIES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('24ced380-db02-452a-8661-d3ab70352bc7', 'COMMUNITY_READ', 'Получение всех групп и сообщений групп', 'Получение всех групп и сообщений групп', 'COMMUNITY'),
('9900ff41-a570-4342-81c6-d622bc88930b', 'COMMUNITY_READ_OWN', 'Получение своих групп и сообщений групп', 'Получение своих групп и сообщений групп', 'COMMUNITY'),
('52e69f07-cca2-4a10-aea2-29d6cd843b42', 'COMMUNITY_READ_PUBLIC', 'Получение публичных групп и сообщений групп', 'Получение публичных групп и сообщений групп', 'COMMUNITY'),
('709f2e30-719e-4717-ae0a-6ceee11af7e5', 'COMMUNITY_JOIN_LEAVE', 'Присоединиться/покинуть группу', 'Присоединиться/покинуть группу', 'COMMUNITY'),
('81b7d31a-a434-4153-9686-4f1702cc7e50', 'COMMUNITY_WRITE', 'Изменение всех групп', 'Создание, обновление и удаление всех групп', 'COMMUNITY'),
('2e6e88b1-c57f-47f9-8d49-2eb1dac657af', 'COMMUNITY_WRITE_OWN', 'Изменение своих групп', 'Создание, обновление и удаление своих групп', 'COMMUNITY'),
('4dc7e627-62a1-4d1f-ac08-0047b8e56d72', 'COMMUNITY_INVITE_KICK', 'Приглашение/изгнание из группы', 'Приглашение/изгнание любого сотрудника из любой группы! (вне зависимости от роли в группе)', 'COMMUNITY'),
('3a453032-3b59-4b82-b859-51f189486a30', 'COMMUNITY_INVITE_KICK_OWN', 'Приглашение/изгнание из своей группы', 'Приглашение/изгнание сотрудника из своей группы', 'COMMUNITY'),
('518d53f2-dab3-4248-93e7-f94101f0cfaf', 'COMMUNITY_WRITE_MESSAGE', 'Отправление сообщения во все группы', 'Отправление сообщения во все группы! (вне зависимости от роли в группе)', 'COMMUNITY'),
('a0efa4a6-7683-4170-9eec-ee31c6c335bc', 'COMMUNITY_WRITE_OWN_MESSAGE', 'Отправление сообщения в свои группы', 'Отправление сообщения в свои группы', 'COMMUNITY'),
('4ab1b7e8-2792-4b47-920a-230891750405', 'COMMUNITY_READ_MESSAGE_ATTACHMENT', 'Получение приложений к сообщениям группы', 'Получение приложений к сообщениям группы', 'COMMUNITY'),
('de3f306c-3ece-4b7d-8e93-2767e3940122', 'COMMUNITY_WRITE_MESSAGE_ATTACHMENT', 'Изменение приложения ко всем сообщениям группы', 'Создание, обновление и удаление приложения ко всем сообщениям группы! (вне зависимости от роли в группе)', 'COMMUNITY'),
('93c7d6f3-4909-4d09-9e54-4c85fd0f69e2', 'COMMUNITY_WRITE_OWN_MESSAGE_ATTACHMENT', 'Изменение приложения к своим сообщениям группы', 'Создание, обновление и удаление приложения к своим сообщениям группы', 'COMMUNITY');

-- IDEAS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('d117c58f-5d9c-4256-85a5-b68137f98197', 'IDEA_READ', 'Получение идей', 'Получение идей', 'IDEA'),
('8acda282-9a76-4299-aae5-95a287965761', 'IDEA_WRITE', 'Изменение всех идей', 'Создание, обновление и удаление всех идей', 'IDEA'),
('b1b5974c-905b-496c-8d95-14f7fd9f9a3f', 'IDEA_WRITE_OWN', 'Изменение своих идей', 'Создание, обновление и удаление своих идей', 'IDEA'),
('6d702841-a829-4874-9386-97cef621a453', 'IDEA_APPROVAL', 'Принятие/отклонение идей', 'Принятие/отклонение идей', 'IDEA'),
('072b9fe7-e546-4e79-bfcf-53666cbdb9a6', 'IDEA_FAVORITE', 'Добавление/удаление идей из избранного', 'Добавление/удаление идей из избранного', 'IDEA'),
('f725b75c-572b-4709-aec5-f8eca49b923c', 'IDEA_READ_COMMENT', 'Получение комментариев идеи', 'Получение комментариев идеи', 'IDEA'),
('eedfb0ea-7008-4ffc-8b09-2d0594df8e18', 'IDEA_WRITE_COMMENT', 'Изменение всех комментариев идеи', 'Создание, обновление и удаление всех комментариев идеи', 'IDEA'),
('92afc9ba-1352-4fc7-bad2-806f844ab490', 'IDEA_WRITE_OWN_COMMENT', 'Изменение своих комментариев идеи', 'Создание, обновление и удаление своих комментариев идеи', 'IDEA'),
('99f02cf3-1b7e-46ad-9c8c-5f383c250c5c', 'IDEA_READ_ATTACHMENT', 'Получение приложений идеи', 'Получение приложений идеи', 'IDEA'),
('b78a78e3-40ed-4f4b-be00-c39abb01c13d', 'IDEA_WRITE_ATTACHMENT', 'Изменение всех приложений идеи', 'Создание, обновление и удаление всех приложений идеи', 'IDEA'),
('e422051f-c2c0-4222-9d3f-6cc467eb265b', 'IDEA_WRITE_OWN_ATTACHMENT', 'Изменение своих приложений идеи', 'Создание, обновление и удаление своих приложений идеи', 'IDEA');

-- KNOWLEDGE BASE
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('c444c785-e1ec-4f6f-b50a-ab19bac5a80a', 'KB_READ', 'Получение базы знаний', 'Получение разделов и статей базы знаний', 'KB'),
('cd715ef9-b496-4c0c-a6e3-46c316bb203a', 'KB_WRITE_SECTION', 'Изменение разделов базы знаний', 'Создание, обновление и удаление разделов базы знаний', 'KB'),
('49e0f31a-71c3-479c-afc1-8909ffa424e1', 'KB_WRITE_ARTICLE', 'Изменение статей базы знаний', 'Создание, обновление и удаление статей базы знаний', 'KB'),
('1fc6370b-db4c-4259-83f0-1668e88a90c8', 'KB_READ_ATTACHMENT', 'Получение приложений статей базы знаний', 'Получение приложений статей базы знаний', 'KB'),
('1a557a8b-fc94-412e-b37a-232348d2cf4d', 'KB_WRITE_ATTACHMENT', 'Изменение приложений статей базы знаний', 'Создание, обновление и удаление приложений статей базы знаний', 'KB');

-- NOTES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('971f189c-930c-4bd0-9af1-7e6c85a128fb', 'NOTE_READ', 'Получение записок', 'Получение записок', 'NOTE'),
('1777dac6-a8c1-407d-8979-5e5dec114c81', 'NOTE_WRITE', 'Изменение записок', 'Создание, обновление и удаление записок', 'NOTE');

-- NOTIFICATIONS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('9b92fe1c-e710-428e-9494-25373e19a301', 'NOTIFICATION_READ', 'Получение портальных оповещений', 'Получение портальных оповещений', 'NOTIFICATION'),
('4a63c51a-3169-4a50-94b6-c47ce6f14471', 'NOTIFICATION_WRITE', 'Изменение портальных оповещений', 'Пометка портальных оповещений как прочитанных', 'NOTIFICATION');

-- PERSONS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('42e78e97-b98c-46f4-ab7f-a5b947177e4b', 'PERSON_READ', 'Получение сотрудников', 'Получение сотрудников', 'PERSON'),
('17a0c717-d67a-422c-a519-b9c79ea62966', 'PERSON_READ_SELF', 'Получение себя', 'Получение себя', 'PERSON'),
('18bb263f-6aa2-4790-922e-6eea6d6cca14', 'PERSON_READ_LOGIN', 'Получение логинов сотрудников', 'Получение логинов сотрудников', 'PERSON'),
('e89be01f-1274-4655-ab45-dffd6e981c89', 'PERSON_READ_LOGIN_SELF', 'Получение своего логина', 'Получение своего логина', 'PERSON'),
('e196099d-3bf8-4176-b793-e4e3cc5cb02c', 'PERSON_CREATE', 'Создание сотрудников', 'Создание сотрудников', 'PERSON'),
('bddac9f0-3463-4581-b020-ed9176b55279', 'PERSON_MODIFY', 'Изменение информации', 'Изменение информации (ex. должность, департамент, ФИО и т.п.)', 'PERSON'),
('02a11bd9-fb45-40a4-bec2-8a10780ccbe6', 'PERSON_MODIFY_SELF', 'Изменение своей информации', 'Изменение своей информации (ex. должность, департамент, ФИО и т.п.)', 'PERSON'),
('48bce0f2-8b11-47ce-8d7f-29bbbc5cc38a', 'PERSON_MODIFY_PERSONAL', 'Изменение личной информации', 'Изменение личной информации (ex. контакты, описание)', 'PERSON'),
('6bc6c8b6-fd93-451a-8678-e1f77565ee7c', 'PERSON_MODIFY_PERSONAL_SELF', 'Изменение своей личной информации', 'Изменение своей личной информации (ex. контакты, описание)', 'PERSON'),
('58a451e5-b122-401a-b4d4-91ea5d7ff5c6', 'PERSON_MODIFY_IMAGERY', 'Изменение аватара и фона пользователя', 'Изменение аватара и фона пользователя', 'PERSON'),
('78dc6e14-b0c9-4a85-9e5f-d9f8cac992bc', 'PERSON_MODIFY_IMAGERY_SELF', 'Изменение своих аватара и фона пользователя', 'Изменение своих аватара и фона пользователя', 'PERSON'),
('21db0e1f-84b6-45bd-ab52-e91b1de31eb4', 'PERSON_MODIFY_ROLE', 'Изменение роли сотрудника', 'Изменение роли сотрудника', 'PERSON'),
('e14a6983-4740-419b-abc9-93dc1580bf74', 'PERSON_MODIFY_PASSWORD', 'Изменение пароля сотрудника', 'Изменение пароля сотрудника', 'PERSON'),
('b58a79c8-7109-4001-9cc5-17264c7467a0', 'PERSON_MODIFY_PASSWORD_SELF', 'Изменение своего пароля', 'Изменение своего пароля', 'PERSON'),
('fcda53a1-7f4c-4167-9320-e0783ebb4a46', 'PERSON_BLOCK', 'Блокировка/разблокировка сотрудника', 'Блокировка сотрудника', 'PERSON'),
('8ab32cc9-1985-43e9-8c72-31b2259fe7d5', 'PERSON_WRITE_PROTECTION', 'Защита от записи другими сотрудниками', 'Данные сотрудника с этим правом не могут быть изменены другими сотрудниками с правами на изменение', 'PERSON'),
('09617a91-100d-4548-8e1e-8744f6264a68', 'PERSON_YANDEX_CALENDAR', 'Получение календаря сотрудника', 'Получение календаря сотрудника', 'PERSON');

-- REACTIONS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('4cc75612-6005-432c-9b6f-d3544ca3a7f8', 'REACTION_READ', 'Получение смайлов и реакций', 'Получение смайлов и реакций', 'REACTION'),
('62da575a-d78c-4e17-bbff-d23ded039750', 'REACTION_WRITE', 'Изменение реакций', 'Создание, обновление и удаление реакций', 'REACTION');

-- ROLES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('6f4f88b0-91d1-41ba-87c1-d5da37cc1536', 'ROLE_READ', 'Получение ролей и прав доступа', 'Получение ролей и прав доступа', 'ROLE'),
('05e00263-abf5-43f5-a390-2fcc280c9874', 'ROLE_WRITE', 'Изменение ролей', 'Создание, обновление и удаление ролей', 'ROLE');

-- SETTINGS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('8fc63315-b1e6-4e51-a86f-cc898717e6a5', 'SETTINGS_READ', 'Получение настроек', 'Получение настроек оповещений и историй, а также тегов оповещений, типов оповещений и проч.', 'SETTINGS'),
('98041f3b-ea94-4759-8048-f924a57f9709', 'SETTINGS_WRITE', 'Изменение настроек', 'Создание, обновление и удаление настроек оповещений и историй', 'SETTINGS');

-- STORIES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('437de3ed-7da5-4129-836e-b9a16e48db12', 'STORY_READ', 'Получение историй и групп историй', 'Получение историй и групп историй', 'STORY'),
('32f4871d-d4bd-471f-98ec-d827303ccec7', 'STORY_WRITE', 'Изменение всех историй и групп историй', 'Создание, обновление и удаление всех историй и групп историй', 'STORY'),
('99a01b53-29b0-4f73-85bf-045c5910fd06', 'STORY_WRITE_OWN', 'Изменение своих историй и групп историй', 'Создание, обновление и удаление своих историй и групп историй', 'STORY');

-- TASKS
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('a8704d1b-8cd8-4448-8992-2bd26dd25e12', 'TASK_READ', 'Получение всех задач', 'Получение всех задач', 'TASK'),
('ca36ec49-c6d1-4121-916b-6817fb5b29cd', 'TASK_READ_OWN', 'Получение своих задач', 'Получение своих и наблюдаемых задач', 'TASK'),
('33c84d1b-0971-4a63-9d7e-ac5316c4032b', 'TASK_WRITE', 'Изменение всех задач', 'Создание, обновление и удаление всех задач', 'TASK'),
('1fe0c262-a679-40e3-a7e4-9a7a197eac2b', 'TASK_WRITE_OWN', 'Изменение своих задач', 'Создание, обновление и удаление своих задач', 'TASK'),
('25c6a21c-626c-4152-b6cd-f67bcb14a76f', 'TASK_APPROVAL', 'Принятие/отклонение задач', 'Принятие/отклонение задач', 'TASK'),
('e7d0a8b8-894f-4460-97c5-22940144eb7a', 'TASK_READ_TAG', 'Получение тегов всех задач', 'Получение тегов всех задач', 'TASK'),
('1f24b1ad-0bbd-4202-8aef-82ff7319c91c', 'TASK_WRITE_TAG', 'Изменение тегов всех задач', 'Создание, обновление и удаление тегов всех задач', 'TASK'),
('0b70697b-be25-42d0-ae9b-2428abfc9554', 'TASK_READ_COMMENT', 'Получение комментариев задач', 'Получение комментариев задач', 'TASK'),
('5d41e325-282d-453b-bd36-41726fdbefee', 'TASK_WRITE_COMMENT', 'Изменение всех комментариев задачи', 'Создание, обновление и удаление всех комментариев задачи', 'TASK'),
('ea3773af-342b-4c1f-8826-f6461a2cd44b', 'TASK_WRITE_OWN_COMMENT', 'Изменение своих комментариев задачи', 'Создание, обновление и удаление своих комментариев задачи', 'TASK'),
('8e122910-d180-4e9c-a5fb-89588727eb5b', 'TASK_READ_ATTACHMENT', 'Получение всех приложений ко всем задачам', 'Получение всех приложений ко всем задачам', 'TASK'),
('ee1e9add-2162-482b-bf8c-18af27182a0c', 'TASK_WRITE_ATTACHMENT', 'Изменение приложений ко всем задачам', 'Создание, обновление и удаление приложений ко всем задачам', 'TASK'),
('cdeb5599-245a-454b-b22f-b2695eb6b7a1', 'TASK_WRITE_OWN_ATTACHMENT', 'Изменение приложений к своим задачам', 'Создание, обновление и удаление приложений к своим задачам', 'TASK');

-- TITLES
INSERT INTO security_permission (id, "permission", "name", description, permission_group) VALUES
('dd8beb9e-6807-4a58-9436-96a8043876e0', 'TITLE_READ', 'Получение должностей', 'Получение должностей', 'TITLE'),
('668b9e0c-d17a-4339-a748-ec25623f62f5', 'TITLE_WRITE', 'Изменение должностей', 'Создание, обновление и удаление должностей', 'TITLE');
