
-- ADMIN
DELETE FROM role_permission WHERE role_id = '28e50e89-461c-407c-91dd-27ac528b0931';
INSERT INTO role_permission (role_id, permission_id)
SELECT '28e50e89-461c-407c-91dd-27ac528b0931'::uuid AS role_id, p.id AS permission_id
FROM security_permission AS p;

-- EDITOR
DELETE FROM role_permission WHERE role_id = 'b2f2c15e-8afd-4389-814c-310db5e83d70';
INSERT INTO role_permission (role_id, permission_id)
SELECT 'b2f2c15e-8afd-4389-814c-310db5e83d70'::uuid AS role_id, p.id AS permission_id
FROM security_permission AS p WHERE p.permission IN (
  'ACHIEVEMENT_READ_OWN',
  'ACHIEVEMENT_WRITE_OWN',
  'ACHIEVEMENT_ARCHIVE',
  'COMMENT_READ_ATTACHMENT',
  'COMMENT_WRITE_OWN_ATTACHMENT',
  'CALENDAR_READ_WORKING',
  'CALENDAR_READ_CORPORATE',
  'CALENDAR_WRITE_CORPORATE',
  'CALENDAR_READ_YANDEX',
  'CALENDAR_WRITE_YANDEX',
  'DEPARTMENT_READ',
  'DEPARTMENT_WRITE',
  'FEED_READ',
  'FEED_CREATE_GENERAL',
  'FEED_MODIFY_OWN',
  'FEED_READ_COMMENT',
  'FEED_WRITE_OWN_COMMENT',
  'FEED_READ_ATTACHMENT',
  'FEED_WRITE_OWN_ATTACHMENT',
  'FILE_READ',
  'FILE_WRITE',
  'COMMUNITY_READ_OWN',
  'COMMUNITY_READ_PUBLIC',
  'COMMUNITY_JOIN_LEAVE',
  'COMMUNITY_WRITE_OWN',
  'COMMUNITY_INVITE_KICK_OWN',
  'COMMUNITY_WRITE_OWN_MESSAGE',
  'COMMUNITY_READ_MESSAGE_ATTACHMENT',
  'COMMUNITY_WRITE_OWN_MESSAGE_ATTACHMENT',
  'IDEA_READ',
  'IDEA_WRITE_OWN',
  'IDEA_APPROVAL',
  'IDEA_FAVORITE',
  'IDEA_READ_COMMENT',
  'IDEA_FAVORITE',
  'IDEA_READ_COMMENT',
  'IDEA_WRITE_OWN_COMMENT',
  'IDEA_READ_ATTACHMENT',
  'IDEA_WRITE_OWN_ATTACHMENT',
  'KB_READ',
  'KB_WRITE_SECTION',
  'KB_WRITE_ARTICLE',
  'KB_READ_ATTACHMENT',
  'KB_WRITE_ATTACHMENT',
  'NOTE_READ',
  'NOTE_WRITE',
  'NOTIFICATION_READ',
  'NOTIFICATION_WRITE',
  'PERSON_READ',
  'PERSON_READ_SELF',
  'PERSON_READ_LOGIN_SELF',
  'PERSON_CREATE',
  'PERSON_MODIFY',
  'PERSON_MODIFY_SELF',
  'PERSON_MODIFY_PERSONAL',
  'PERSON_MODIFY_PERSONAL_SELF',
  'PERSON_MODIFY_IMAGERY_SELF',
  'PERSON_MODIFY_PASSWORD_SELF',
  'PERSON_YANDEX_CALENDAR',
  'REACTION_READ',
  'REACTION_WRITE',
  'STORY_READ',
  'STORY_WRITE_OWN',
  'TASK_READ',
  'TASK_READ_OWN',
  'TASK_WRITE',
  'TASK_WRITE_OWN',
  'TASK_READ_TAG',
  'TASK_WRITE_TAG',
  'TASK_READ_COMMENT',
  'TASK_WRITE_COMMENT',
  'TASK_WRITE_OWN_COMMENT',
  'TASK_READ_ATTACHMENT',
  'TASK_WRITE_ATTACHMENT',
  'TASK_WRITE_OWN_ATTACHMENT',
  'TITLE_READ',
  'TITLE_WRITE'
);

-- USER
DELETE FROM role_permission WHERE role_id = '7a3cc074-57a8-45fe-86d7-2289f13c172b';
INSERT INTO role_permission (role_id, permission_id)
SELECT '7a3cc074-57a8-45fe-86d7-2289f13c172b'::uuid AS role_id, p.id AS permission_id
FROM security_permission AS p WHERE p.permission IN (
  'ACHIEVEMENT_READ_OWN',
  'ACHIEVEMENT_ARCHIVE',
  'COMMENT_READ_ATTACHMENT',
  'COMMENT_WRITE_OWN_ATTACHMENT',
  'CALENDAR_READ_WORKING',
  'CALENDAR_READ_CORPORATE',
  'CALENDAR_READ_YANDEX',
  'DEPARTMENT_READ',
  'FEED_READ',
  'FEED_CREATE_GENERAL',
  'FEED_MODIFY_OWN',
  'FEED_READ_COMMENT',
  'FEED_WRITE_OWN_COMMENT',
  'FEED_READ_ATTACHMENT',
  'FEED_WRITE_OWN_ATTACHMENT',
  'FILE_READ',
  'FILE_WRITE',
  'COMMUNITY_READ_OWN',
  'COMMUNITY_READ_PUBLIC',
  'COMMUNITY_JOIN_LEAVE',
  'COMMUNITY_WRITE_OWN',
  'COMMUNITY_INVITE_KICK_OWN',
  'COMMUNITY_WRITE_OWN_MESSAGE',
  'COMMUNITY_READ_MESSAGE_ATTACHMENT',
  'COMMUNITY_WRITE_OWN_MESSAGE_ATTACHMENT',
  'IDEA_READ',
  'IDEA_WRITE_OWN',
  'IDEA_FAVORITE',
  'IDEA_READ_COMMENT',
  'IDEA_FAVORITE',
  'IDEA_READ_COMMENT',
  'IDEA_WRITE_OWN_COMMENT',
  'IDEA_READ_ATTACHMENT',
  'IDEA_WRITE_OWN_ATTACHMENT',
  'KB_READ',
  'KB_READ_ATTACHMENT',
  'NOTE_READ',
  'NOTE_WRITE',
  'NOTIFICATION_READ',
  'NOTIFICATION_WRITE',
  'PERSON_READ',
  'PERSON_READ_SELF',
  'PERSON_READ_LOGIN_SELF',
  'PERSON_MODIFY_PERSONAL_SELF',
  'PERSON_MODIFY_IMAGERY_SELF',
  'PERSON_MODIFY_PASSWORD_SELF',
  'PERSON_YANDEX_CALENDAR',
  'REACTION_READ',
  'REACTION_WRITE',
  'STORY_READ',
  'STORY_WRITE_OWN',
  'TASK_READ_OWN',
  'TASK_WRITE_OWN',
  'TASK_READ_TAG',
  'TASK_READ_COMMENT',
  'TASK_WRITE_OWN_COMMENT',
  'TASK_READ_ATTACHMENT',
  'TASK_WRITE_OWN_ATTACHMENT',
  'TITLE_READ'
);
