insert into settings_tag(id, tag, code, description)
values ('6ce7687a-47c3-43d3-ab18-883e91acba1a', '%author_skill', 'AUTHOR_SKILL', 'Навык сотрудника  | eg. Назначение ревью');

INSERT INTO email_notification_allowed_tags (notification_type, tag_id)
VALUES ('REVIEW_USER', 'ddea44ef-67ee-4825-a6fc-f5dacc35b3f4'),
       ('REVIEW_USER', 'eb6d34dd-3d62-4cd4-a791-a3e8a8c1f308'),
       ('REVIEW_USER', '7a65bc23-4446-493d-b3cb-35b63072e347'),
       ('REVIEW_USER', '6ce7687a-47c3-43d3-ab18-883e91acba1a'),
       ('REVIEW_USER', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('REVIEW_USER', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('REVIEW_USER', 'dafcdd69-8ff7-4aa6-921e-a66f99bee074'),
       ('REVIEW_USER', 'dcb0a1e0-514f-4696-991c-4a2e2dfe8baa'),
       ('REVIEW_USER', 'db6701b8-bf15-427a-9fab-9761444769fe')

    ON CONFLICT DO NOTHING;

INSERT INTO email_notification_settings (id, creation_date, "content", "header", notification_type)
VALUES ('e3c5678f-9e1b-46e6-9d9e-d85ce141f0e4', '2024-01-30 13:00:00.000',
        '<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml" > <head><title></title><!--[if !mso]><!--> <meta http-equiv="X-UA-Compatible" content="IE=edge"><!--<![endif]--> <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"> <meta name="viewport" content="width=device-width, initial-scale=1"> <style type="text/css">#outlook a { padding: 0; } body { margin: 0; padding: 0; -webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; } table, td { border-collapse: collapse; mso-table-lspace: 0pt; mso-table-rspace: 0pt; } img { border: 0; height: auto; line-height: 100%; outline: none; text-decoration: none; -ms-interpolation-mode: bicubic; } p { display: block; margin: 13px 0; }</style> <style type="text/css">td.main-letter-wrapper { background-color: #202634; border-radius: 48px; vertical-align: top; padding: 48px; } @media only screen and (max-width: 480px) { td.main-letter-wrapper { padding: 48px 32px; } }</style> <!--[if mso]> <noscript> <xml> <o:OfficeDocumentSettings> <o:AllowPNG/> <o:PixelsPerInch>96</o:PixelsPerInch> </o:OfficeDocumentSettings> </xml> </noscript><![endif]--><!--[if lte mso 11]> <style type="text/css">.outlook-group-fix { width: 100% !important; }</style><![endif]--> <link href="https://fonts.googleapis.com/css?family=IBM Plex Sans" rel="stylesheet" type="text/css"> <style type="text/css">@import url(https://fonts.googleapis.com/css?family=IBM%20Plex%20Sans);</style> <style type="text/css">@media only screen and (min-width: 480px) { .column-per-100 { width: 100% !important; max-width: 100%; } }</style> <style media="screen and (min-width:480px)">.moz-text-html .column-per-100 { width: 100% !important; max-width: 100%; }</style> <style type="text/css">@media only screen and (max-width: 480px) { table.full-width-mobile { width: 100% !important; } td.full-width-mobile { width: auto !important; } }</style> </head> <body style="word-spacing:normal;background: #131722;"> <div><!--[if mso | IE]> <table align="center" border="0" cellpadding="0" cellspacing="0" class="" style="width:600px;" width="600"> <tr> <td style="line-height:0px;font-size:0px;mso-line-height-rule:exactly;"><![endif]--> <div style="margin:0px auto;max-width:600px;"> <table align="center" border="0" cellpadding="0" cellspacing="0" role="presentation" style="width:100%;"> <tbody> <tr> <td style="direction:ltr;font-size:0px;padding:32px 0;text-align:center;"><!--[if mso | IE]> <table role="presentation" border="0" cellpadding="0" cellspacing="0"> <tr> <td class="" style="vertical-align:top;width:600px;"><![endif]--> <div class="column-per-100 outlook-group-fix" style="font-size:0px;text-align:left;direction:ltr;display:inline-block;vertical-align:top;width:100%;"> <table border="0" cellpadding="0" cellspacing="0" role="presentation" width="100%"> <tbody> <tr> <td class="main-letter-wrapper"> <table border="0" cellpadding="0" cellspacing="0" role="presentation" width="100%"> <tbody> <tr> <td align="left" style="font-size:0px;padding:8px 0px;word-break:break-word;"> <div style="font-family:IBM Plex Sans;font-size:19px;font-weight:400;line-height:32px;text-align:left;color:#E5EBF2A6;"> Здравствуйте, %target_surname %target_name %target_patronymic! </div> </td> </tr> <tr> <td align="left" style="font-size:0px;padding:8px 0px;word-break:break-word;"> <div style="font-family:IBM Plex Sans;font-size:19px;font-weight:400;line-height:32px;text-align:left;color:#E5EBF2A6;"> Вы назначены на ревью навыка %author_skill сотрудника %author_surname %author_name email: %author_email </div> </td> </tr> <tr> <td align="center" vertical-align="middle" style="font-size:0px;padding:24px 0px 0px;word-break:break-word;"><a href="%portal_link" target="_blank"> <table border="0" cellpadding="0" cellspacing="0" role="presentation" style="border-collapse:separate;width:100%;line-height:100%;"> <tr> <td align="center" bgcolor="#1884FF" role="presentation" style="cursor:pointer;border:none;border-radius:60px;mso-padding-alt:10px 25px;background:#1884FF;" valign="middle"><p style="display:inline-block;background:#1884FF;color:#E6EDF5;font-family:IBM Plex Sans;font-size:16px;font-weight:500;line-height:24px;margin:0;text-decoration:none;text-transform:none;padding:10px 25px;mso-padding-alt:0px;border-radius:60px;"> Провести ревью</p></td> </tr> </table> </a></td> </tr> </tbody> </table> </td> </tr> <tr> <td align="center" role="presentation" style="padding-top:32px;" valign="middle"><img src="%img_email_logo" alt=""/></td> </tr> </tbody> </table> </div> <!--[if mso | IE]></td></tr></table><![endif]--></td> </tr> </tbody> </table> </div> <!--[if mso | IE]></td></tr></table><![endif]--></div> </body> </html>',
        'LL Review', 'REVIEW_USER');