create type bug_state as enum ('NEW','IN_PROGRESS','DONE');
alter type record_type add value if not exists 'BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_VIEW_ALL_BUG_REPORT' after 'KNOWLEDGE_BASE_VIEW_ALL_SECTION_ARTICLES';
alter type credential_permission add value if not exists 'BUG_REPORT_VIEW_ONE_BUG_REPORT' after 'BUG_REPORT_VIEW_ALL_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_CHANGE_STATUS_BUG_REPORT' after 'BUG_REPORT_VIEW_ONE_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_CREATE_BUG_REPORT' after 'BUG_REPORT_CHANGE_STATUS_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_DELETE_BUG_REPORT' after 'BUG_REPORT_CREATE_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_VIEW_COMMENTS_BUG_REPORT' after 'BUG_REPORT_DELETE_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_MAKE_COMMENT_BUG_REPORT' after 'BUG_REPORT_VIEW_COMMENTS_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_UPDATE_ATTACHMENTS' after 'BUG_REPORT_MAKE_COMMENT_BUG_REPORT';
alter type credential_permission add value if not exists 'BUG_REPORT_DELETE_ATTACHMENTS' after 'BUG_REPORT_UPDATE_ATTACHMENTS';


create table if not exists bug_report
(
    id        uuid primary key references record (id),
    bug_state bug_state not null
);