CREATE TYPE bell_notification_type AS ENUM ('TASK_APPROVAL');

ALTER TYPE record_type ADD VALUE 'BELL_NOTIFICATION';

CREATE TABLE IF NOT EXISTS bell_notification (
    id UUID PRIMARY KEY REFERENCES record(id),
    header VARCHAR(256) NOT NULL,
    notification_type bell_notification_type NOT NULL,
    seen BOOLEAN NOT NULL DEFAULT FALSE
);
