insert into security_permission (id, permission)
values ('7d4edbb8-d949-4518-a29e-582c46e6f046', 'CORPORATE_CALENDAR');

insert into role_permission (role_id, permission_id)
values ('28e50e89-461c-407c-91dd-27ac528b0931', '7d4edbb8-d949-4518-a29e-582c46e6f046');

create type event_type as enum ('HOLIDAY', 'PREHOLIDAY', 'BIRTHDAY', 'CORPORATE_EVENT');

create table if not exists corporate_calendar_event
(
    id              uuid primary key default uuid_generate_v4(),
    event_name      varchar    not null,
    description     varchar    not null,
    event_type      event_type not null,
    start_date_time timestamp  not null,
    end_date_time   timestamp  not null
);

