alter table if exists person
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

create table if not exists person_audit
(
    id          uuid primary key default uuid_generate_v4(),
    person_id   uuid references person (id),
    created_by  uuid,
    created_at  timestamp,
    modified_by uuid,
    modified_at timestamp
);

alter table if exists contact
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

create table if not exists contact_audit
(
    id          uuid primary key default uuid_generate_v4(),
    contact_id  uuid references contact (id),
    created_by  uuid,
    created_at  timestamp,
    modified_by uuid,
    modified_at timestamp
);

alter table if exists job
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

create table if not exists job_audit
(
    id          uuid primary key default uuid_generate_v4(),
    job_id      uuid references job (id),
    created_by  uuid,
    created_at  timestamp,
    modified_by uuid,
    modified_at timestamp
);

alter table if exists kb_section
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

create table if not exists kb_section_audit
(
    id            uuid primary key default uuid_generate_v4(),
    kb_section_id uuid references kb_section (id),
    created_by    uuid,
    created_at    timestamp,
    modified_by   uuid,
    modified_at   timestamp
);

alter table if exists kb_article
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

create table if not exists kb_article_audit
(
    id            uuid primary key default uuid_generate_v4(),
    kb_article_id uuid references kb_article (id),
    created_by    uuid,
    created_at    timestamp,
    modified_by   uuid,
    modified_at   timestamp
);

alter table if exists attachment
    drop column if exists created_at,
    drop column if exists modified_at,
    drop column if exists created_by,
    drop column if exists modified_by;

