create table if not exists review_person_skill
(
    id   uuid primary key default uuid_generate_v4(),
    owner_id  uuid not null references person(id),
    skill_id uuid not null references skill (id)
);
create table if not exists reviewers
(
    reviewer_id uuid  not null references person(id),
    review_id uuid  not null references review_person_skill(id),
    voted boolean default false,
    unique (reviewer_id, review_id)
);
create table if not exists review_person_skill_rating
(
    id   uuid primary key default uuid_generate_v4(),
    review_id uuid not null references review_person_skill(id),
    rating int not null
);