package ru.loylabs.portal.integration.controller;

import org.junit.jupiter.api.DisplayName;
import ru.loylabs.portal.integration.IntegrationTestBaseMVC;

@DisplayName("Department controller IT")
public class DepartmentControllerIT extends IntegrationTestBaseMVC {

//	private final static String DEPARTMENT_BASE_URI = VERSION_1_URI + DEPARTMENTS_URI;
//
//	@Test
//	@DisplayName("Find all department. Request from user")
//	void findAllDepartmentRequestFromUserTest() throws Exception {
//		var size = departmentRepository.findAll().size();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().totalItems(size).build();
//		findAllPerform(user.getId(), OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find all department. Request from editor")
//	void findAllDepartmentRequestFromEditorTest() throws Exception {
//		var size = departmentRepository.findAll().size();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().totalItems(size).build();
//		findAllPerform(editor.getId(), OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find all department. Request from admin")
//	void findAllDepartmentRequestFromAdminTest() throws Exception {
//		var size = departmentRepository.findAll().size();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().totalItems(size).build();
//		findAllPerform(admin.getId(), OK, expectedBody);
//	}
//
//	private void findAllPerform(UUID requestFrom, HttpStatus status, JsonResponse expectedBody) throws Exception {
//		MvcResult result = mockMvc.perform(get(DEPARTMENT_BASE_URI)
//						.header(AUTHORIZATION, tokenProvider.getPersonalTokenById(requestFrom)))
//				.andReturn();
//		assertThat(result).hasStatus(status).hasBody(expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find one department by id. Request from user")
//	void findOneDepartmentRequestFromUserTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var expectedBody = JsonResponse.expectedFieldsBuilder().id(department.getId()).build();
//		findOneDepartmentPerform(user.getId(), department.getId(), OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find one department by id. Request from editor")
//	void findOneDepartmentRequestFromEditorTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var expectedBody = JsonResponse.expectedFieldsBuilder().id(department.getId()).build();
//		findOneDepartmentPerform(editor.getId(), department.getId(), OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find one department by id. Request from admin")
//	void findOneDepartmentRequestFromAdminTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var expectedBody = JsonResponse.expectedFieldsBuilder().id(department.getId()).build();
//		findOneDepartmentPerform(editor.getId(), department.getId(), OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Find one department by id. Request from admin : Department not exist")
//	void findOneDepartmentRequestFromAdminNotExistTest() throws Exception {
//		findOneDepartmentPerform(editor.getId(), nonExistUUID, BAD_REQUEST, null);
//	}
//
//	private void findOneDepartmentPerform(UUID requestFrom, UUID departmentId, HttpStatus status, JsonResponse expectedBody) throws Exception {
//		MvcResult result = mockMvc.perform(get(DEPARTMENT_BASE_URI + DEPARTMENT_ID_URI_PARAM, departmentId)
//						.header(AUTHORIZATION, tokenProvider.getPersonalTokenById(requestFrom)))
//				.andReturn();
//
//		assertThat(result).hasStatus(status).hasBody(expectedBody);
//	}
//
//
//	@Test
//	@DisplayName("Create department. Request from user")
//	void createDepartmentRequestFromUserTest() throws Exception {
//		var request = JobTestData.generateCreateDepartmentRequest();
//		createDepartmentPerform(user.getId(), request, FORBIDDEN, null);
//	}
//
//	@Test
//	@DisplayName("Create department. Request from editor")
//	void createDepartmentRequestFromEditorTest() throws Exception {
//		var request = JobTestData.generateCreateDepartmentRequest();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().name(request.getName()).build();
//		createDepartmentPerform(editor.getId(), request, OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Create department. Request from admin")
//	void createDepartmentRequestFromAdminTest() throws Exception {
//		var request = JobTestData.generateCreateDepartmentRequest();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().name(request.getName()).build();
//		createDepartmentPerform(editor.getId(), request, OK, expectedBody);
//	}
//
//	void createDepartmentPerform(UUID requestFrom, CreateDepartmentRequest request, HttpStatus status, JsonResponse expectedBody) throws Exception {
//		MvcResult result = mockMvc.perform(post(DEPARTMENT_BASE_URI)
//						.header(AUTHORIZATION, tokenProvider.getPersonalTokenById(requestFrom))
//						.content(TestUtils.convertToJsonString(request))
//						.contentType(MediaType.APPLICATION_JSON))
//				.andReturn();
//
//		assertThat(result).hasStatus(status).hasBody(expectedBody);
//	}
//
//	@Test
//	@DisplayName("Update department by id. Request from user")
//	void updateDepartmentRequestFromUserTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var request = JobTestData.generateUpdateDepartmentRequest();
//		updateDepartmentPerform(user.getId(), department.getId(), request, FORBIDDEN, null);
//	}
//
//	@Test
//	@DisplayName("Update department by id. Request from editor")
//	void updateDepartmentRequestFromEditorTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var request = JobTestData.generateUpdateDepartmentRequest();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().name(request.getName()).build();
//		updateDepartmentPerform(editor.getId(), department.getId(), request, OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Update department by id. Request from admin")
//	void updateDepartmentRequestFromAdminTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		var request = JobTestData.generateUpdateDepartmentRequest();
//		var expectedBody = JsonResponse.expectedFieldsBuilder().name(request.getName()).build();
//		updateDepartmentPerform(admin.getId(), department.getId(), request, OK, expectedBody);
//	}
//
//	@Test
//	@DisplayName("Update department by id. Request from admin : Department not exist")
//	void updateDepartmentRequestFromAdminNotExistTest() throws Exception {
//		var request = JobTestData.generateUpdateDepartmentRequest();
//		updateDepartmentPerform(admin.getId(), nonExistUUID, request, BAD_REQUEST, null);
//	}
//
//	void updateDepartmentPerform(UUID requestFrom, UUID departmentId, UpdateDepartmentRequest request, HttpStatus status, JsonResponse expectedBody) throws Exception {
//		MvcResult result = mockMvc.perform(put(DEPARTMENT_BASE_URI + DEPARTMENT_ID_URI_PARAM, departmentId)
//						.header(AUTHORIZATION, tokenProvider.getPersonalTokenById(requestFrom))
//						.content(TestUtils.convertToJsonString(request))
//						.contentType(MediaType.APPLICATION_JSON))
//				.andReturn();
//
//		assertThat(result).hasStatus(status).hasBody(expectedBody);
//	}
//
//	@Test
//	@DisplayName("Delete department by id. Request from user")
//	void deleteDepartmentRequestFromUserTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		deleteDepartmentPerform(user.getId(), department.getId(), FORBIDDEN);
//	}
//
//	@Test
//	@DisplayName("Delete department by id. Request from editor")
//	void deleteDepartmentRequestFromEditorTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		deleteDepartmentPerform(editor.getId(), department.getId(), OK);
//	}
//
//	@Test
//	@DisplayName("Delete department by id. Request from admin")
//	void deleteDepartmentRequestFromAdminTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		deleteDepartmentPerform(admin.getId(), department.getId(), OK);
//	}
//
//	@Test
//	@DisplayName("Delete department by id. Request from admin : Department not exist")
//	void deleteDepartmentRequestFromAdminNotExistTest() throws Exception {
//		var department = departmentRepository.save(generateDepartment());
//		deleteDepartmentPerform(admin.getId(), department.getId(), OK);
//	}
//
//	void deleteDepartmentPerform(UUID requestFrom, UUID departmentId, HttpStatus status) throws Exception {
//		MvcResult result = mockMvc.perform(delete(DEPARTMENT_BASE_URI + DEPARTMENT_ID_URI_PARAM, departmentId)
//						.header(AUTHORIZATION, tokenProvider.getPersonalTokenById(requestFrom)))
//				.andReturn();
//
//		assertThat(result).hasStatus(status);
//	}

}
