package ru.loylabs.portal.integration.util.data;

import org.instancio.Instancio;
import ru.loylabs.portal.entity.Grade;
import ru.loylabs.portal.presentation.request.CreateGradeRequest;
import ru.loylabs.portal.presentation.request.UpdateGradeRequest;

public class GradeTestData {

	public static Grade generateGrade(){
		return Instancio.of(Grade.class)
				.create();
	}

	public static CreateGradeRequest generateCreateGradeRequest() {
		return Instancio.of(CreateGradeRequest.class).create();
	}

	public static UpdateGradeRequest generateUpdateGradeRequest() {
		return Instancio.of(UpdateGradeRequest.class).create();
	}
}
