import React, { FC } from "react";

import Box from "@mui/material/Box";

interface SidebarWrapperProp {
  children: React.ReactNode;
}
export const SidebarWrapper: FC<SidebarWrapperProp> = ({ children }) => {
  return <Box sx={{ width: "100%", pb: 18 }}>{children}</Box>;
};

export default SidebarWrapper;
