import { AttachmentView } from "./attachment.model";

export type KbSectionView = {
  articleCount: number;
  id: string;
  name: string;
  topArticles: KbArticleListView[];
  articles?: KbArticleListView[]; //for search articles
};

export type KbArticleListView = {
  id: string;
  name: string;
  sectionId: string;
};

export type KbArticleView = {
  attachments: AttachmentView[];
  content: string;
  id: string;
  name: string;
  sectionId: string;
};

export type UpdateKbArticleRequest = {
  content: string;
  name: string;
};
