import type { PersonView } from "./profile.models";

export type NotificationView = {
  author: PersonView;
  content: string;
  date: string;
  header: string;
  id: string;
  link: string;
  notificationType: NotificationTypeView;
  seen: boolean;
  unseenCount: number;
};

export type NotificationTypeView =
  "CALENDAR_EVENT" | "COMMENT" |  "GROUP_RECORD" | "NEW_IDEA" | "NEW_STORY" | "REACTION" | "TASK_APPROVAL" | "CREATE_REVIEW";