package ru.loylabs.portal.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class HolidayData {
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd.MM.yyyy")
    private LocalDate date;
    @JsonProperty("type_id")
    private int typeId;
    @JsonProperty("type_text")
    private String typeText = "";
    private String note = "";

    public boolean isHoliday() {
        return this.typeId == 3;
    }
}
