package ru.loylabs.portal.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.*;


@Entity
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class PersonSkill {
    @EmbeddedId
    public PersonSkillId personSkillId;

    @MapsId("personId")
    @ManyToOne
    @JoinColumn(name = "person_id", referencedColumnName = "id")
    private Person person;
    @MapsId("skillId")
    @ManyToOne
    @JoinColumn(name = "skill_id", referencedColumnName = "id")
    private Skill skill;

    @ManyToOne
    @JoinColumn(name = "skill_level", referencedColumnName = "id")
    public Grade grade;
}
