package ru.loylabs.portal.entity;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import java.io.Serializable;
import java.util.UUID;

@Embeddable
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class ReviewersId implements Serializable {

	@Column(name = "reviewer_id")
	@EqualsAndHashCode.Include
	private UUID reviewerId;
	@Column(name = "review_id")
	@EqualsAndHashCode.Include
	private UUID reviewId;
}
