package ru.loylabs.portal.listener.events;

import lombok.EqualsAndHashCode;
import lombok.Value;
import ru.loylabs.portal.listener.BaseEvent;

import java.util.UUID;

public class GradeEvents extends BaseEvent {

	@Value
	@EqualsAndHashCode(callSuper = false)
	public static class GradeDeletedEvent extends GradeEvents {

		UUID gradeId;

		public static GradeDeletedEvent of(UUID gradeId) {
			return new GradeDeletedEvent(gradeId);
		}
	}
}
