package ru.loylabs.portal.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.NullValuePropertyMappingStrategy;
import org.mapstruct.ReportingPolicy;
import ru.loylabs.portal.entity.BellNotification;
import ru.loylabs.portal.presentation.view.BellNotificationView;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		uses = { PersonMapper.class, AttachmentMapper.class },
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface BellNotificationMapper {

	BellNotificationView toView(BellNotification bellNotification, boolean seen, long unseenCount);

}
