package ru.loylabs.portal.mapper;

import org.mapstruct.*;
import ru.loylabs.portal.entity.Record;
import ru.loylabs.portal.presentation.view.CommentView;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		uses = {PersonMapper.class, AttachmentMapper.class},
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface CommentMapper {

	@Mapping(target = "parentRecordId", source = "record.parentRecord.id")
	CommentView toView(Record record);
}
