package ru.loylabs.portal.mapper;

import org.mapstruct.*;
import ru.loylabs.portal.entity.Emoji;
import ru.loylabs.portal.entity.Reaction;
import ru.loylabs.portal.entity.Smile;
import ru.loylabs.portal.presentation.view.EmojiView;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		uses = {SmileMapper.class},
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface EmojiMapper extends AbstractViewMapper<Emoji, EmojiView> {

//    @Override
//    @Mapping(target = "clickCount", expression = "java(emoji.getPersons().size())")
//    EmojiView toView(Emoji emoji);

	@Mapping(target = "id", ignore = true)
	Emoji toEntity(Reaction reaction, Smile smile);
}