package ru.loylabs.portal.mapper.settings;

import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.NullValuePropertyMappingStrategy;
import org.mapstruct.ReportingPolicy;
import ru.loylabs.portal.entity.settings.SettingsTag;
import ru.loylabs.portal.mapper.AbstractViewMapper;
import ru.loylabs.portal.presentation.view.settings.SettingsTagView;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING,
		unmappedTargetPolicy = ReportingPolicy.IGNORE,
		nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
public interface SettingsTagMapper extends AbstractViewMapper<SettingsTag, SettingsTagView> {
}