package ru.loylabs.portal.presentation.request;

import lombok.Data;
import ru.loylabs.portal.enums.CalendarEventType;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.ZonedDateTime;

@Data
public class CorporateCalendarEventAddRequest {
	@NotBlank
	@Size(max = 150)
	private String eventName;
	@NotNull
	@Size(max = 250)
	private String description;
	@NotNull
	private CalendarEventType eventType;
	@NotNull
	private ZonedDateTime dateStart;
	@NotNull
	private ZonedDateTime dateEnd;
	private Recurrence recurrence;
}