package ru.loylabs.portal.presentation.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Set;
import java.util.UUID;

@Data
public class CreateAchievementRequest {

	@NotBlank
	@Size(max = 250)
	private String name;

	@NotNull
	private UUID ownerId;

	@NotEmpty
	private Set<UUID> observerIds;

}
