package ru.loylabs.portal.presentation.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.HashSet;
import java.util.Set;
import java.util.UUID;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CreateReviewPersonSkill {
	@NotNull
	private UUID ownerId;
	@NotNull
	private UUID skillId;
	private Set<UUID> reviewersId = new HashSet<>();
	@NotNull
	private LocalDate endReview;
}
