package ru.loylabs.portal.presentation.request;

import java.time.LocalDate;
import javax.validation.Valid;
import javax.validation.constraints.Past;
import javax.validation.constraints.Size;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UpdatePersonInfoRequest {

	@Size(max = 5000)
	private String description;
	@Valid
	private UpdateContactRequest contact;
	@Past(message = "must be before the current date")
	private LocalDate dob;

}
