package ru.loylabs.portal.presentation.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import ru.loylabs.portal.presentation.request.validation.NotBlankIfPresent;

import javax.validation.constraints.Size;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class UpdateRecordRequest {
	@NotBlankIfPresent
	@Size(max = 10000)
	private String content;
}