package ru.loylabs.portal.presentation.request;

import java.util.Set;
import java.util.UUID;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.Size;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UpdateSecurityRoleRequest {

	@Size(max = 70)
	private String name;

	@Size(max = 250)
	private String description;

	private Set<UUID> permissions;

}
