package ru.loylabs.portal.presentation.request.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;
@Target({FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = NotBlankIfPresentStringValidator.class)
public @interface NotBlankIfPresent {

	String message() default "field cannot be blank";

	Class<?>[] groups() default { };

	Class<? extends Payload>[] payload() default { };
}
