package ru.loylabs.portal.presentation.view;

import lombok.Value;
import ru.loylabs.portal.enums.AchievementStatus;

import java.time.Instant;
import java.util.List;


@Value
public class AchievementView {
	String id;
	String name;
	PersonView author;
	AchievementStatus status;
	List<PersonView> observers;
	Instant creationDate;
	long tasksSize;
	long countOfDoneTasks;
}
