package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.loylabs.portal.entity.BugReport;
import ru.loylabs.portal.entity.Record;

import java.util.UUID;

@Repository
public interface BugReportRepository extends JpaRepository<BugReport, UUID> {
	Page<BugReport> findAll(Specification<Record> specification, Pageable pageable);

}
