package ru.loylabs.portal.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.CalendarYandexData;

import java.util.Optional;
import java.util.UUID;

public interface CalendarYandexDataRepository extends JpaRepository<CalendarYandexData, UUID> {
	Optional<CalendarYandexData> findByPersonId(UUID personId);

	Optional<CalendarYandexData> findByEmail(String email);

	Optional<CalendarYandexData> deleteByPersonId(UUID personId);
}
