package ru.loylabs.portal.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import ru.loylabs.portal.entity.EmojiPerson;

import java.util.UUID;

public interface EmojiPersonRepository extends JpaRepository<EmojiPerson, UUID> {
	boolean existsByEmojiIdAndPersonId(UUID emojiId, UUID personId);

	int deleteByEmojiIdAndPersonId(UUID emojiId, UUID personId);

	int countAllByEmojiId(UUID emojiId);
}