package ru.loylabs.portal.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import ru.loylabs.portal.entity.Feed;
import ru.loylabs.portal.entity.Record;

import java.util.UUID;

@Repository
public interface FeedRepository extends JpaRepository<Feed, UUID> {

	Page<Feed> findAll(Specification<Record> specification, Pageable pageable);

	int deleteIdeaById(UUID id);
}
