package ru.loylabs.portal.repository.redis;

import ru.loylabs.portal.entity.Task;

import java.time.temporal.TemporalUnit;
import java.util.Set;
import java.util.UUID;

public interface TaskDoneRepository {

	Set<UUID> findAllCreatedTimeAgo(long amountToSubtract, TemporalUnit unit);

	void save(Task task);

	void delete(UUID delete);
}
