package ru.loylabs.portal.service.interfaces;

import java.util.Collection;
import java.util.Set;
import java.util.UUID;
import org.springframework.web.multipart.MultipartFile;
import ru.loylabs.portal.entity.Attachment;

public interface AttachmentAdapter {

	Attachment createAttachment(MultipartFile file);

	void addAttachments(Set<Attachment> attachments, Collection<MultipartFile> files);

	void replaceAttachment(Set<Attachment> attachments, MultipartFile file);

	void deleteAttachments(Set<Attachment> attachments, Set<UUID> attachmentsIds);

}
