package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.entity.BellNotification;
import ru.loylabs.portal.entity.Person;

import java.util.Set;

public interface BellNotificationPersister {

	void persist(BellNotification notification, Person recipient);

	void persist(BellNotification notification, Set<Person> recipients);

	void persistForPersonWithRole(BellNotification notification, String... role);

	void persistForAll(BellNotification notification);

}
