package ru.loylabs.portal.service.interfaces;

import java.util.UUID;
import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.settings.BellNotificationSettings;
import ru.loylabs.portal.enums.BellNotificationType;
import ru.loylabs.portal.presentation.request.settings.CreateBellNotificationSettingsRequest;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

public interface BellNotificationSettingsService {

	BellNotificationSettings getCurrentSettings(BellNotificationType notificationType);

	BellNotificationSettings getSettings(UUID id);

	Page<BellNotificationSettings> getAllSettings(int page, int size, String sort,
												  SearchReversePolishNotation criteria);

	BellNotificationSettings createSettings(CreateBellNotificationSettingsRequest request,
											BellNotificationType notificationType);

}
