package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.CommunityPersonRole;
import ru.loylabs.portal.enums.CommunityRole;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface CommunityPersonRoleService {
	Page<CommunityPersonRole> getAllPersonalCommunities(int page, int size, String sort, SearchReversePolishNotation criteria, UUID memberId);

	Page<CommunityPersonRole> getAllPersonRoleInCommunity(UUID communityId, int page, int size, String sort, SearchReversePolishNotation criteria);

	CommunityPersonRole getCommunityOwner(UUID communityId);

	CommunityRole getPersonalRoleInCommunity(UUID communityId, UUID personId);
}
