package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.settings.EmailNotificationSettings;
import ru.loylabs.portal.enums.EmailNotificationType;
import ru.loylabs.portal.presentation.request.settings.CreateEmailNotificationSettingsRequest;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface EmailNotificationSettingsService {
	EmailNotificationSettings getCurrentSettings(EmailNotificationType emailNotificationType);

	EmailNotificationSettings getSettings(UUID id);

	Page<EmailNotificationSettings> getAllSettings(int page, int size, String sort, SearchReversePolishNotation criteria);

	EmailNotificationSettings createSettings(CreateEmailNotificationSettingsRequest request, EmailNotificationType emailNotificationType);
}
