package ru.loylabs.portal.service.interfaces;

import org.springframework.data.domain.Page;
import ru.loylabs.portal.entity.Emoji;
import ru.loylabs.portal.entity.Person;
import ru.loylabs.portal.presentation.search.SearchReversePolishNotation;

import java.util.UUID;

public interface EmojiService {

	Page<Emoji> getAllEmoji(Integer page, Integer size, String sort, SearchReversePolishNotation criteria, UUID reactionId, Person person);

	Emoji increaseEmoji(UUID reactionId, UUID smileId, Person person);

	Emoji decreaseEmoji(UUID reactionId, UUID smileId, Person person);
}