package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.entity.IntegratedCalendarLink;
import ru.loylabs.portal.presentation.request.CreateIntegrateCalendarLink;
import ru.loylabs.portal.presentation.request.IntegratedCalendarEvent;
import ru.loylabs.portal.presentation.request.UpdateIntegrateCalendarLink;

import java.util.List;
import java.util.UUID;

public interface IntegratedCalendarService {
	List<IntegratedCalendarLink> getAllLinkCalendar();

	List<IntegratedCalendarEvent> getAllCalendarEvents();

	List<IntegratedCalendarEvent> getAllCalendarEventsById(String date);

	IntegratedCalendarLink getLinkById(UUID linkId);

	IntegratedCalendarLink addCalendarLink(CreateIntegrateCalendarLink linkForPerson);

	IntegratedCalendarLink updateLink(UUID linkId, UpdateIntegrateCalendarLink updateIntegrateCalendarLink);

	void deleteLink(UUID linkId);

}
