package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.entity.Job;
import ru.loylabs.portal.presentation.request.CreateJobRequest;
import ru.loylabs.portal.presentation.request.UpdateJobRequest;
import ru.loylabs.portal.service.yandex.dto.Yandex360UserResponse;

public interface JobAdapter {

	Job createJob(CreateJobRequest request);

	Job createJob(Yandex360UserResponse response);

	Job updateJob(UpdateJobRequest request, Job job);

	Job setDefaultDepartment(Job job);
	Job setDefaultTitle(Job job);
	Job setDefaultGrade(Job job);
}
