package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.entity.Note;
import ru.loylabs.portal.presentation.request.CreateNoteRequest;
import ru.loylabs.portal.presentation.request.UpdateNoteRequest;

import java.util.UUID;

public interface NoteService {

	Note getNote(UUID authorId, UUID targetId);

	Note createNote(CreateNoteRequest request, UUID authorId, UUID targetId);

	Note updateNote(UpdateNoteRequest request, UUID authorId, UUID targetId);

	void deleteNote(UUID authorId, UUID targetId);
}
