package ru.loylabs.portal.service.interfaces;

import ru.loylabs.portal.entity.YandexCalendarEvent;

import java.util.List;
import java.util.UUID;

public interface YandexCalendarService {
	List<YandexCalendarEvent> getEvents(UUID personId);

	void addEvent(UUID personId,
				  String eventDirectoryName,
				  String eventName,
				  String dateStartString,
				  String dateEndString);

	void deleteEvent(UUID personId, String eventDirectoryName, String eventUid);

	void saveYandexCredentials(UUID personId, String email, String password);

	void deleteYandexCredentials(UUID personId);
}
