package ru.loylabs.portal.service.notification.bell.data;

import lombok.Value;
import ru.loylabs.portal.entity.Person;
import ru.loylabs.portal.enums.BellNotificationType;
import ru.loylabs.portal.enums.SettingsTagType;

import java.util.Map;
import java.util.UUID;

public abstract class NotificationData {

	public abstract FieldsPack initFieldsPack();

	@Value
	public static class FieldsPack {

		 Person sender;

		 Map<SettingsTagType,String> args;

		 BellNotificationType type;

		 String uri;

		 UUID subjectId;
	}

}
