package ru.loylabs.portal.utility;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.nio.file.Paths;

@Component
public class PathUtil {
	@Value("${file.path}")
	private String filePath;

	public String getPath() {
		return Paths.get(filePath).toUri().toString();
	}
}
