package ru.loylabs.portal.utility.settings;

import lombok.Getter;
import lombok.RequiredArgsConstructor;
import ru.loylabs.portal.utility.StaticMessageSource;

public class SettingsContentResolver {

	public static String getApprovalMessage(boolean isApproved, Object... args) {
		return StaticMessageSource.getMessage(
				isApproved ? Message.TASK_APPROVED.getKey() : Message.TASK_REJECTED.getKey(),
				args
		);
	}

	@Getter
	@RequiredArgsConstructor
	private enum Message {

		TASK_APPROVED("loyalty.data.task.approved.value"),
		TASK_REJECTED("loyalty.data.task.rejected.value");

		private final String key;
	}

}
