delete
from bell_notification_settings
where id = '2a725f21-d73c-4c5c-b264-cc07a2597a1d';

delete
from bell_notification_settings
where id = 'cc70534e-03fc-4781-86c0-fa496c1f78db';

delete
from bell_notification_allowed_tags
where notification_type = 'IDEA_NEW'
  and tag_id = 'c5a280a9-5196-44b4-89e9-de8c83505b33';

delete
from bell_notification_allowed_tags
where notification_type = 'FEED_COMMENT'
  and tag_id = '2213360e-8c42-4a4f-b70a-a661f0519634';

delete
from bell_notification_allowed_tags
where notification_type = 'FEED_COMMENT'
  and tag_id = 'b188b7b0-fd72-490e-ae60-172203a5958c';

update bell_notification_settings
set content = '%author_surname %author_name предложил(а) новую идею: %idea_header'
where id = 'e9345cfb-8122-4058-81e7-3ab5d3a0089e';

update bell_notification_settings
set content = '%author_surname %author_name добавил новое событие на %calendar_event_date: %calendar_event_name'
where id = 'ccf9dd37-dd2a-4637-a4cf-599e6328c9b0';

update bell_notification_settings
set content = '%author_surname %author_name опубликовал(а) новую запись в сообществе %community_name: %record_content'
where id = '581677a6-6b31-4cdd-b9b6-d5241b5e70fb';

insert into settings_tag(id, tag, code, description)
values ('5dc8aef7-1581-4170-b256-de22f658388c', '%idea_header', 'IDEA_HEADER',
        'Заголовок идеи | e.g. уведомления о идеях'),
       ('1a642bfa-cd06-4ca9-8d63-939615524797', '%feed_content', 'FEED_CONTENT',
        'Контент записи ленты | e.g. уведомление в ленте'),
       ('d5d52af9-2823-422b-8b40-5ab898dfacf4', '%calendar_event_date', 'CALENDAR_EVENT_DATE',
        'Дата события | e.g. уведомление о событии в календаре');


insert into bell_notification_settings(id, creation_date, content, header, notification_type)
values ('e654eb9a-11f8-41fe-b756-9b702f417117', '2023-10-10 15:49:44.000000',
        '%author_surname %author_name прокомментировал(а) вашу идею %idea_header: %record_content',
        'Your idea was commented on', 'IDEA_COMMENT'),
       ('8b2e8716-80ae-4782-83cc-33489c793e35', '2023-10-10 15:49:44.000000',
        '%author_surname %author_name опубликовал(а) важную новость: %feed_content',
        'New important record in the feed', 'FEED_NEW'),
       ('e7a8acec-dec3-479d-bbc1-7bb9e52341a6', '2023-10-10 15:49:44.000000',
        '%author_surname %author_name проккоментировал(а) вашу запись в ленте %feed_content: %record_content',
        'Comment to post in the feed', 'FEED_COMMENT');


insert into bell_notification_allowed_tags(notification_type, tag_id)
values ('IDEA_COMMENT', '5dc8aef7-1581-4170-b256-de22f658388c'),
       ('IDEA_NEW', '5dc8aef7-1581-4170-b256-de22f658388c'),
       ('FEED_NEW', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('FEED_NEW', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('FEED_NEW', '1a642bfa-cd06-4ca9-8d63-939615524797'),
       ('FEED_COMMENT','1a642bfa-cd06-4ca9-8d63-939615524797'),
       ('FEED_COMMENT','c5a280a9-5196-44b4-89e9-de8c83505b33'),
       ('CALENDAR_NEW_EVENT', 'd5d52af9-2823-422b-8b40-5ab898dfacf4'),
       ('CALENDAR_NEW_EVENT', '606aeb7f-9c15-4149-965b-a3365f1a9377'),
       ('CALENDAR_NEW_EVENT', '9f95ff60-5f8b-4b15-95db-e31636bbc752'),
       ('COMMUNITY_NEW_RECORD', 'c5a280a9-5196-44b4-89e9-de8c83505b33');