CREATE TYPE notification_type AS ENUM ('RESET_PASSWORD', 'TASK_APPROVAL', 'GENERATED_PASSWORD');

ALTER TABLE IF EXISTS notification_settings DROP COLUMN IF EXISTS reset_password_message CASCADE,
                                            DROP COLUMN IF EXISTS reset_password_message_title CASCADE,
                                            DROP COLUMN IF EXISTS task_approval_message CASCADE,
                                            DROP COLUMN IF EXISTS task_approval_message_title CASCADE,
                                            DROP COLUMN IF EXISTS generated_password_message CASCADE,
                                            DROP COLUMN IF EXISTS generated_password_message_title CASCADE;

ALTER TABLE IF EXISTS notification_settings ADD COLUMN content TEXT, ADD COLUMN header TEXT;

ALTER TABLE IF EXISTS notification_settings ADD COLUMN notification_type notification_type;


ALTER TABLE IF EXISTS bell_notification_settings DROP COLUMN IF EXISTS task_approval_message CASCADE,
                                                 DROP COLUMN IF EXISTS task_approval_message_title CASCADE;

ALTER TABLE IF EXISTS bell_notification_settings ADD COLUMN content TEXT, ADD COLUMN header TEXT;

ALTER TABLE IF EXISTS bell_notification_settings ADD COLUMN notification_type bell_notification_type;
