alter type bell_notification_type add value if not exists 'NEW_STORY';
alter type bell_notification_type add value if not exists 'NEW_IDEA';
alter type bell_notification_type add value if not exists 'COMMENT';
alter type bell_notification_type add value if not exists 'CALENDAR_EVENT';
alter type bell_notification_type add value if not exists 'GROUP_RECORD';
alter type bell_notification_type add value if not exists 'REACTION';

alter table bell_notification drop column if exists seen;

create table if not exists personal_bell_notification
(
    id                   uuid primary key default uuid_generate_v4(),
    bell_notification_id uuid    not null
        references bell_notification (id),
    person_id            uuid    not null
        references person (id),
    seen                 boolean not null default false,
    unique (id,bell_notification_id, person_id)
);

alter type credential_permission add value 'NOTIFICATION_DELETE_NOTIFICATION'
    after 'NOTIFICATION_MARK_ONE_AS_SEEN';