alter table if exists achievement
    drop column if exists supervisor_id,
    drop column if exists approve_message,
    drop column if exists description;

alter table if exists achievement
    add column if not exists owner_id uuid references person (id);


create table if not exists achievement_observers
(
    achievement_id uuid references achievement(id),
    person_id uuid references person(id),
    unique (achievement_id,person_id)
);


