
ALTER TABLE IF EXISTS security_role ALTER COLUMN role SET DATA TYPE VARCHAR USING role::VARCHAR;

DROP TYPE IF EXISTS credential_role;

ALTER TABLE IF EXISTS security_role ADD COLUMN IF NOT EXISTS name VARCHAR UNIQUE;
ALTER TABLE IF EXISTS security_role ADD COLUMN IF NOT EXISTS description VARCHAR;
ALTER TABLE IF EXISTS security_role ADD COLUMN IF NOT EXISTS is_mutable BOOLEAN NOT NULL DEFAULT TRUE;

ALTER TABLE IF EXISTS security_permission ADD COLUMN IF NOT EXISTS name VARCHAR UNIQUE;
ALTER TABLE IF EXISTS security_permission ADD COLUMN IF NOT EXISTS description VARCHAR;
