
ALTER TYPE credential_permission RENAME VALUE 'IDEA_VEW_ALL_IDEAS' TO 'IDEA_VIEW_ALL_IDEAS';

CREATE TYPE credential_permission_group AS ENUM ('IDEA',
                                                 'COMMUNITY',
                                                 'FEED',
                                                 'PERSON',
                                                 'KB',
                                                 'ACHIEVEMENT',
                                                 'TASK',
                                                 'REACTION',
                                                 'DEPARTMENT',
                                                 'TITLE',
                                                 'STORY',
                                                 'BUG_REPORT',
                                                 'SETTINGS',
                                                 'ROLE',
                                                 'NOTIFICATION',
                                                 'CALENDAR',
                                                 'NOTE',
                                                 'FILE',
                                                 'COMMENT',
                                                 'GENERAL');

ALTER TABLE IF EXISTS security_permission ADD COLUMN permission_group credential_permission_group NOT NULL DEFAULT 'IDEA';
