UPDATE smile SET symbol = '🤪' WHERE id = 'f30b0111-6d66-47bd-8219-763da1620226';

ALTER TABLE story
    ALTER COLUMN header DROP NOT NULL;

ALTER TABLE achievement
    ADD CONSTRAINT achievement_name_length_constraint CHECK (LENGTH(name) <= 250);

ALTER TABLE attachment
    ADD CONSTRAINT attachment_extension_length_constraint CHECK (LENGTH(extension) <= 25);

ALTER TABLE bell_notification
    ADD CONSTRAINT bell_notification_header_length_constraint CHECK (LENGTH(header) <= 250);

ALTER TABLE bell_notification
    ADD CONSTRAINT bell_notification_content_length_constraint CHECK (LENGTH(content) <= 400);

ALTER TABLE bell_notification_settings
    ADD CONSTRAINT bell_notification_settings_header_length_constraint CHECK (LENGTH(header) <= 250);

ALTER TABLE bell_notification_settings
    ADD CONSTRAINT bell_notification_settings_content_length_constraint CHECK (LENGTH(content) <= 400);

ALTER TABLE city
    ADD CONSTRAINT city_name_unique UNIQUE (name);

ALTER TABLE community
    ADD CONSTRAINT community_name_length_constraint CHECK (LENGTH(name) <= 60);

ALTER TABLE community
    ADD CONSTRAINT community_description_length_constraint CHECK (LENGTH(description) <= 300);

ALTER TABLE contact
    ADD CONSTRAINT contact_phone_length_constraint CHECK (LENGTH(phone) <= 18);

ALTER TABLE contact
    ADD CONSTRAINT contact_email_length_constraint CHECK (LENGTH(email) <= 70);

ALTER TABLE contact
    ADD CONSTRAINT contact_telegram_length_constraint CHECK (LENGTH(telegram) <= 50);

ALTER TABLE contact
    ADD CONSTRAINT contact_skype_length_constraint CHECK (LENGTH(skype) <= 50);

ALTER TABLE contact
    ADD CONSTRAINT contact_linkedin_length_constraint CHECK (LENGTH(linkedin) <= 250);

ALTER TABLE contact
    ADD CONSTRAINT contact_github_length_constraint CHECK (LENGTH(github) <= 250);

ALTER TABLE contact
    ADD CONSTRAINT contact_vk_length_constraint CHECK (LENGTH(vk) <= 250);

ALTER TABLE contact
    ADD CONSTRAINT contact_instagram_length_constraint CHECK (LENGTH(instagram) <= 250);

ALTER TABLE corporate_calendar_event
    ADD CONSTRAINT corporate_calendar_event_name_length_constraint CHECK (LENGTH(event_name) <= 150);

ALTER TABLE corporate_calendar_event
    ADD CONSTRAINT corporate_calendar_event_description_length_constraint CHECK (LENGTH(description) <= 250);

ALTER TABLE department
    ADD CONSTRAINT department_name_length_constraint CHECK (LENGTH(name) <= 100);

ALTER TABLE email_notification_settings
    ADD CONSTRAINT email_notification_settings_header_length_constraint CHECK (LENGTH(header) <= 60);

ALTER TABLE grade
    ADD CONSTRAINT grade_name_length_constraint CHECK (LENGTH(name) <= 60);

ALTER TABLE idea
    ADD CONSTRAINT idea_response_length_constraint CHECK (LENGTH(response) <= 150);

ALTER TABLE idea
    ADD CONSTRAINT idea_header_length_constraint CHECK (LENGTH(header) <= 70);

ALTER TABLE idea
    ADD CONSTRAINT idea_header_unique UNIQUE (header);

ALTER TABLE kb_article
    ADD CONSTRAINT kb_article_name_content_unique UNIQUE (name, section_id);

ALTER TABLE kb_article
    ADD CONSTRAINT kb_article_name_length_constraint CHECK (LENGTH(name) <= 100);

ALTER TABLE kb_article
    ADD CONSTRAINT kb_article_content_length_constraint CHECK (LENGTH(content) <= 5000);

ALTER TABLE kb_section
    ADD CONSTRAINT kb_section_name_length_constraint CHECK (LENGTH(name) <= 150);

ALTER TABLE note
    ADD CONSTRAINT note_note_length_constraint CHECK (LENGTH(note) <= 250);

ALTER TABLE person
    ADD CONSTRAINT person_username_length_constraint CHECK (LENGTH(username) <= 150);

ALTER TABLE person
    ADD CONSTRAINT person_name_length_constraint CHECK (LENGTH(name) <= 70);

ALTER TABLE person
    ADD CONSTRAINT person_surname_length_constraint CHECK (LENGTH(surname) <= 70);

ALTER TABLE person
    ADD CONSTRAINT person_patronymic_length_constraint CHECK (LENGTH(patronymic) <= 70);

ALTER TABLE person
    ADD CONSTRAINT person_description_length_constraint CHECK (LENGTH(description) <= 400);

ALTER TABLE person
    ADD CONSTRAINT person_external_user_id_length_constraint CHECK (LENGTH(external_user_id) <= 250);

ALTER TABLE record
    ADD CONSTRAINT record_content_length_constraint CHECK (LENGTH(content) <= 3500);

ALTER TABLE security_permission
    ADD CONSTRAINT security_permission_name_length_constraint CHECK (LENGTH(name) <= 250);

ALTER TABLE security_permission
    ADD CONSTRAINT security_permission_description_length_constraint CHECK (LENGTH(description) <= 350);

ALTER TABLE security_role
    ADD CONSTRAINT security_role_description_length_constraint CHECK (LENGTH(role) <= 70);

ALTER TABLE security_role
    ADD CONSTRAINT security_role_name_length_constraint CHECK (LENGTH(name) <= 70);

ALTER TABLE settings_tag
    ADD CONSTRAINT settings_tag_tag_unique UNIQUE (tag);

ALTER TABLE smile
    ADD CONSTRAINT smile_symbol_unique UNIQUE (symbol);

ALTER TABLE story
    ADD CONSTRAINT story_header_length_constraint CHECK (LENGTH(header) <= 100);

ALTER TABLE story_settings
    ADD CONSTRAINT story_settings_story_header_unique UNIQUE (story_header);

ALTER TABLE story_settings
    ADD CONSTRAINT story_settings_story_content_unique UNIQUE (story_content);

ALTER TABLE task
    ADD CONSTRAINT task_header_length_constraint CHECK (LENGTH(header) <= 150);

ALTER TABLE task_tag
    ADD CONSTRAINT task_tag_name_length_constraint CHECK (LENGTH(name) <= 100);

ALTER TABLE task_tag
    ADD CONSTRAINT task_tag_color_length_constraint CHECK (LENGTH(color) <= 50);

ALTER TABLE title
    ADD CONSTRAINT title_name_length_constraint CHECK (LENGTH(name) <= 150);

ALTER TABLE skill
    ADD CONSTRAINT skill_story_name_unique UNIQUE (name);