ALTER TABLE task
DROP CONSTRAINT task_header_length_constraint;

ALTER TABLE bell_notification
DROP CONSTRAINT bell_notification_content_length_constraint;

ALTER TABLE kb_article
DROP CONSTRAINT kb_article_content_length_constraint;

ALTER TABLE person
DROP CONSTRAINT person_description_length_constraint;

ALTER TABLE record
DROP CONSTRAINT record_content_length_constraint;

ALTER TABLE story
DROP CONSTRAINT story_header_length_constraint;

ALTER TABLE task
    ADD CONSTRAINT task_header_length_constraint CHECK (LENGTH(header) <= 500);

ALTER TABLE bell_notification
    ADD CONSTRAINT bell_notification_content_length_constraint CHECK (LENGTH(content) <= 1000);

ALTER TABLE kb_article
    ADD CONSTRAINT kb_article_content_length_constraint CHECK (LENGTH(content) <= 50000);

ALTER TABLE person
    ADD CONSTRAINT person_description_length_constraint CHECK (LENGTH(description) <= 5000);

ALTER TABLE record
    ADD CONSTRAINT record_content_length_constraint CHECK (LENGTH(content) <= 10000);

ALTER TABLE story
    ADD CONSTRAINT story_header_length_constraint CHECK (LENGTH(header) <= 500);