package ru.loylabs.portal.integration.util.data;

import org.instancio.Instancio;
import ru.loylabs.portal.entity.Attachment;
import ru.loylabs.portal.enums.AttachmentType;

import static org.instancio.Select.field;

public class AttachmentTestData {

	public static Attachment initPictureAttachment(){
		return Instancio.of(Attachment.class)
				.ignore(field(Attachment::getId))
				.set(field(Attachment::getAttachmentType), AttachmentType.IMAGE)
				.ignore(field(Attachment::getKbArticles))
				.create();
	}
}
