package ru.loylabs.portal.integration.util.data;

import org.instancio.Instancio;
import ru.loylabs.portal.entity.Skill;
import ru.loylabs.portal.presentation.request.CreateSkillRequest;
import ru.loylabs.portal.presentation.request.UpdateSkillRequest;

import java.util.UUID;

import static org.instancio.Select.field;

public class SkillTestData {

	public static Skill generateSkill(){
		return Instancio.of(Skill.class)
				.create();
	}

	public static Skill generateSkill(UUID id){
		return Instancio.of(Skill.class)
				.set(field(Skill::getId), id)
				.create();
	}

	public static CreateSkillRequest generateCreateSkillRequest() {
		return Instancio.of(CreateSkillRequest.class).create();
	}

	public static UpdateSkillRequest generateUpdateSkillRequest() {
		return Instancio.of(UpdateSkillRequest.class).create();
	}
}
