package ru.loylabs.portal.integration.util.data;

import org.instancio.Instancio;
import ru.loylabs.portal.entity.Grade;
import ru.loylabs.portal.entity.Status;
import ru.loylabs.portal.presentation.request.CreateGradeRequest;
import ru.loylabs.portal.presentation.request.CreateStatusRequest;
import ru.loylabs.portal.presentation.request.UpdateGradeRequest;
import ru.loylabs.portal.presentation.request.UpdateStatusRequest;

public class StatusTestData {

	public static Status generateStatus(){
		return Instancio.of(Status.class)
				.create();
	}

	public static CreateStatusRequest generateCreateStatusRequest() {
		return Instancio.of(CreateStatusRequest.class).create();
	}

	public static UpdateStatusRequest generateUpdateStatusRequest() {
		return Instancio.of(UpdateStatusRequest.class).create();
	}
}
