import type { AttachmentView } from "./attachment.model";
import type { PersonView } from "./profile.models";

export type IdeaView = {
  attachments: AttachmentView[];
  author: PersonView;
  content: string;
  date: string;
  header: string;
  id: string;
  reaction: { id: string };
  response: string | null;
  status: string;
  supervisor: PersonView | null;
  favorite: boolean;
};

export type IdeaStatusView = "NEW" | "APPROVED" | "DISMISSED" | "FAVORITE";