import { PersonView } from "./profile.models";
import { AttachmentView } from "./attachment.model";

export type GroupStoriesType = "ADMIN" | "BIRTHDAY" | "WELCOME";

export type StoryView = {
  attachments: AttachmentView[];
  author: PersonView;
  content: string;
  date: string;
  header: string;
  id: string;
  reaction: any; //TODO: waiting data
};

export type StoryGroupView = {
  allStoriesAmount: number;
  author: PersonView;
  firstStories: StoryView[];
  groupType: GroupStoriesType;
  id: string;
  pinned: boolean;
};
