import { ListItem } from "./ListItem";

export type UserInfo = {
  name: string;
  surname: string;
  patronymic: string;
  blocked?: boolean;
  jobTitle: string;
  gender?: string;
  dob: string;
  description?: string;
  email: string;
  phone?: string;
  telegram?: string;
  city: ListItem | null;
  department: string;
  role: string;
};

export type MemberItemSize = "regular" | "compact";
